set env(SESHLIB) /home/rosmord/tksesh/tcllib
set SESHLIB $env(SESHLIB)
lappend auto_path $env(SESHLIB)
package require seshw
#package require signesdef

#signesdef::sload



frame .f1 -borderwidth 4 -relief sunken
frame .f2 -borderwidth 4 -relief sunken

set w1 [seshw::create_editor .f1.w1 -notitle -height 50 -width 600 ]
set w2 [seshw::create_editor .f1.w2 -notitle -height 50 -width 600]

seshw::insert_text $w1.s Z9-t-D54-p-W-m-Hr-Z1-n:a-wn:n-A24-ib-Z1-A1
seshw::insert_text $w2.s Z9:t-D54-p-w-m-Hr-Z1-n:a-wn:n-A24-ib-Z1-A1
text .f1.t1 -height 1 -font {Transliteration 18}
.f1.t1 insert insert {swA pw m Hr n awn-ib}
pack $w1 $w2 .f1.t1 -fill both -expand 1

set w3 [seshw::create_editor .f2.w3 -notitle -height 50 -width 600]
seshw::insert_text $w3.s Z9-t-D54-p-W-m-Hr-Z1-n:a-wn:n-A24-ib-Z1-A1
text .f2.t2 -height 1 -font {Transliteration 18}
.f2.t2 insert insert {swA pw m Hr n xm-xt}
text .f2.t3 -height 1
.f2.t3 insert insert "A commentary"
pack $w3 .f2.t2 .f2.t3 -fill both -expand 1

button .b1 -text Next
button .b2 -text Prev
button .b3 -text Add
button .b4 -text Delete

grid .f1 - - -
grid .f2 - - -
grid .b1 .b2 .b3 .b4

