/*
	Various POSIX functions not available with CodeWarrior
*/
#ifndef MACCOMP_H
#define MACCOMP_H	

#ifdef MAC_TCL

/* CodeWarrior version of lseek does not comply to POSIX.
   POSIX states that if we move after the end of the file, the file should grow.
   CodeWarrior version sends an error instead.
   */

#include <unistd.h>
#include <unix.h>

typedef long off_t;

off_t
Mylseek(int fd, off_t offset, int whence);

#else
#define Mylseek lseek
#endif
#endif