
/*  A Bison parser, made from sesh.y
    by GNU Bison version 1.28  */

#define YYBISON 1  /* Identify Bison output.  */

#define yyparse seshparse
#define yylex seshlex
#define yyerror sesherror
#define yylval seshlval
#define yychar seshchar
#define yydebug seshdebug
#define yynerrs seshnerrs
#define	TEXTE	257
#define	DEBUTHIEROGS	258
#define	FINHIEROGS	259
#define	HIEROGLYPHE	260
#define	INCONNU	261
#define	POINT	262
#define	POINTPOINT	263
#define	KERNING	264
#define	DEBUTCONSTRUCTION	265
#define	CARTF	266
#define	DIEZE	267
#define	ROMAIN	268
#define	GAUCHEDROITE	269
#define	DROITEGAUCHE	270
#define	LEFTRIGHT	271
#define	RIGHTLEFT	272
#define	INTERNALSPACE	273
#define	HACHUREG	274
#define	HACHUREV	275
#define	HACHUREH	276
#define	HACHURET	277
#define	HACHURES	278
#define	OVERWRITE	279
#define	SIZE	280
#define	ROTATION	281
#define	NROTATION	282
#define	REVERT	283
#define	IGNORE	284
#define	LONGSIGN	285
#define	TEXTESUPER	286
#define	POINTROUGE	287
#define	POINTNOIR	288
#define	RED	289
#define	BLACK	290
#define	HAPLOGRAPHIE	291
#define	LACUNE	292
#define	LIGNELACUNE	293
#define	DSTSUPERFETATOIRE	294
#define	FSTSUPERFETATOIRE	295
#define	DSTEFFACE	296
#define	FSTEFFACE	297
#define	DSTDISPARU	298
#define	FSTDISPARU	299
#define	DSTRAJOUTSCRIBE	300
#define	FSTRAJOUTSCRIBE	301
#define	DSTRAJOUTAUTEUR	302
#define	FSTRAJOUTAUTEUR	303
#define	SEPARATEUR	304
#define	FINMOT	305
#define	GRAMMAIRE	306
#define	FIN_LIGNE	307
#define	FIN_PAGE	308
#define	SAUT_LIGNES	309
#define	SAUT_PAGES	310
#define	FIXE_LIGNE	311
#define	LIGNE_COMMENTAIRE	312

#line 5 "sesh.y"


#define _POSIX_SOURCE 1

#include <malloc.h>
#include "general.h"
#include "quadra.h"
#include "mdctexte.h"
#include "mdccoord.h"
#include "seshaux.h"
#include "getlig.h"

char rapport_erreur_de_syntaxe[1024];
int  erreur_de_syntaxe;

static int color= 0;
static int ingray= FALSE;

extern int 
seshlex();

void 
yyerror(char *s);

#include <stdio.h>
#ifndef NULL
#define NULL 0
#endif

#ifndef TRUE
#define TRUE 1
#define FALSE 0
#endif

Texte *resultat;


#line 43 "sesh.y"
typedef union {
	Texte *un_texte;
	struct texte_liste {
		Texte * texte;
		Texte * last;
	} une_texte_liste;
	Quadra * un_quadra;
	Vertlist* une_vertlist;
	union _Donnees une_donnee;
	Signe un_signe;
	int un_entier;
	char * une_chaine;
	text_coords des_coordonnees;
	Typehachure une_hachure;			/* ancien systme */
	Hachures des_hachures;
	Typegroupe un_typegroupe;
	Typeseparateur un_separateur;
	struct _Signinlig *ligature;
	struct _Signe *signe;
} YYSTYPE;
#include <stdio.h>

#ifndef __cplusplus
#ifndef __STDC__
#define const
#endif
#endif



#define	YYFINAL		111
#define	YYFLAG		-32768
#define	YYNTBASE	64

#define YYTRANSLATE(x) ((unsigned)(x) <= 312 ? yytranslate[x] : 91)

static const char yytranslate[] = {     0,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,    61,     2,    62,
    63,    60,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,    59,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     1,     3,     4,     5,     6,
     7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
    17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
    27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
    37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
    47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
    57,    58
};

#if YYDEBUG != 0
static const short yyprhs[] = {     0,
     0,     4,     6,     8,    10,    13,    15,    19,    22,    25,
    26,    29,    31,    33,    35,    38,    40,    42,    44,    46,
    48,    49,    52,    55,    60,    61,    63,    65,    67,    69,
    71,    73,    75,    77,    79,    81,    83,    88,    93,    95,
    97,   101,   105,   109,   111,   115,   116,   119,   121,   125,
   127,   131,   133,   135,   137,   139,   141,   143,   148,   150,
   152,   154,   156,   158,   159,   161,   162,   163,   166,   168,
   170,   172,   174,   176,   178,   182,   186,   190,   194
};

static const short yyrhs[] = {    65,
    66,    68,     0,    68,     0,     1,     0,    68,     0,    51,
    68,     0,    67,     0,    66,    68,    67,     0,    81,    71,
     0,    75,    69,     0,     0,    69,    70,     0,    13,     0,
    35,     0,    36,     0,    76,    72,     0,    54,     0,    53,
     0,    57,     0,    58,     0,    24,     0,     0,    76,    72,
     0,    81,    73,     0,    74,    75,    81,    73,     0,     0,
    50,     0,    78,     0,    77,     0,    14,     0,    37,     0,
    15,     0,    16,     0,    38,     0,    39,     0,    32,     0,
    79,     0,    78,    59,    81,    79,     0,    79,    60,    81,
    80,     0,    80,     0,    82,     0,    82,    61,    83,     0,
    11,    74,    12,     0,    18,    74,    17,     0,    90,     0,
    62,    74,    63,     0,     0,    81,    10,     0,    85,     0,
    85,    25,    85,     0,    82,     0,    82,    61,    83,     0,
     6,     0,     8,     0,     9,     0,    33,     0,    34,     0,
     7,     0,    86,    84,    88,    87,     0,    20,     0,    22,
     0,    21,     0,    23,     0,    52,     0,     0,    51,     0,
     0,     0,    89,    88,     0,    26,     0,    27,     0,    28,
     0,    29,     0,    30,     0,    31,     0,    40,    74,    41,
     0,    42,    74,    43,     0,    44,    74,    45,     0,    46,
    74,    47,     0,    48,    74,    49,     0
};

#endif

#if YYDEBUG != 0
static const short yyrline[] = { 0,
   123,   126,   127,   131,   132,   135,   141,   150,   161,   164,
   166,   169,   174,   178,   185,   192,   198,   204,   210,   218,
   220,   223,   229,   234,   245,   247,   250,   270,   276,   281,
   285,   289,   293,   297,   301,   308,   313,   324,   333,   339,
   345,   357,   363,   369,   370,   377,   381,   387,   388,   396,
   404,   414,   419,   423,   427,   432,   437,   444,   449,   454,
   458,   462,   468,   469,   472,   473,   476,   477,   479,   481,
   482,   483,   485,   486,   489,   496,   502,   508,   514
};
#endif


#if YYDEBUG != 0 || defined (YYERROR_VERBOSE)

static const char * const yytname[] = {   "$","error","$undefined.","TEXTE",
"DEBUTHIEROGS","FINHIEROGS","HIEROGLYPHE","INCONNU","POINT","POINTPOINT","KERNING",
"DEBUTCONSTRUCTION","CARTF","DIEZE","ROMAIN","GAUCHEDROITE","DROITEGAUCHE","LEFTRIGHT",
"RIGHTLEFT","INTERNALSPACE","HACHUREG","HACHUREV","HACHUREH","HACHURET","HACHURES",
"OVERWRITE","SIZE","ROTATION","NROTATION","REVERT","IGNORE","LONGSIGN","TEXTESUPER",
"POINTROUGE","POINTNOIR","RED","BLACK","HAPLOGRAPHIE","LACUNE","LIGNELACUNE",
"DSTSUPERFETATOIRE","FSTSUPERFETATOIRE","DSTEFFACE","FSTEFFACE","DSTDISPARU",
"FSTDISPARU","DSTRAJOUTSCRIBE","FSTRAJOUTSCRIBE","DSTRAJOUTAUTEUR","FSTRAJOUTAUTEUR",
"SEPARATEUR","FINMOT","GRAMMAIRE","FIN_LIGNE","FIN_PAGE","SAUT_LIGNES","SAUT_PAGES",
"FIXE_LIGNE","LIGNE_COMMENTAIRE","':'","'*'","'&'","'('","')'","hierogs","startinggarbage",
"textes","textitem","separation","texteseps","textesep","texte","hachureopt",
"uppercadrat","quadras","separateur","quadra","lonesign","sousquadras","sousquadra",
"inhierliste","kerning","hieroglyphes","suiteligature","signe","hieroglyphe",
"grammaireopt","finmotopt","modificateurs","modificateur","construction_parenthesee", NULL
};
#endif

static const short yyr1[] = {     0,
    64,    64,    64,    65,    65,    66,    66,    67,    68,    69,
    69,    70,    70,    70,    71,    71,    71,    71,    71,    72,
    72,    73,    74,    74,    75,    75,    76,    76,    77,    77,
    77,    77,    77,    77,    77,    78,    78,    79,    79,    80,
    80,    80,    80,    80,    80,    81,    81,    82,    82,    83,
    83,    84,    84,    84,    84,    84,    84,    85,    85,    85,
    85,    85,    86,    86,    87,    87,    88,    88,    89,    89,
    89,    89,    89,    89,    90,    90,    90,    90,    90
};

static const short yyr2[] = {     0,
     3,     1,     1,     1,     2,     1,     3,     2,     2,     0,
     2,     1,     1,     1,     2,     1,     1,     1,     1,     1,
     0,     2,     2,     4,     0,     1,     1,     1,     1,     1,
     1,     1,     1,     1,     1,     1,     4,     4,     1,     1,
     3,     3,     3,     1,     3,     0,     2,     1,     3,     1,
     3,     1,     1,     1,     1,     1,     1,     4,     1,     1,
     1,     1,     1,     0,     1,     0,     0,     2,     1,     1,
     1,     1,     1,     1,     3,     3,     3,     3,     3
};

static const short yydefact[] = {     0,
     3,    26,    25,    46,     4,    10,     5,    25,     6,    64,
     9,    46,    47,    46,    29,    31,    32,    46,    59,    61,
    60,    62,    35,    30,    33,    34,    46,    46,    46,    46,
    46,    63,    17,    16,    18,    19,    46,     8,    21,    28,
    27,    36,    39,    40,    48,     0,    44,    12,    13,    14,
    11,     7,    25,    64,    25,    25,    25,    25,    25,    25,
    25,    20,    15,    46,    46,    64,    64,    52,    57,    53,
    54,    55,    56,    67,    42,    46,    23,    21,    43,    75,
    76,    77,    78,    79,    45,    64,    64,    50,    41,    49,
    69,    70,    71,    72,    73,    74,    66,    67,    64,    22,
    37,    38,    64,    65,    58,    68,    24,    51,     0,     0,
     0
};

static const short yydefgoto[] = {   109,
     4,     8,     9,     5,    11,    51,    38,    63,    77,    53,
    76,    78,    40,    41,    42,    43,    54,    44,    89,    74,
    45,    46,   105,    97,    98,    47
};

static const short yypact[] = {     5,
-32768,-32768,   -26,-32768,    33,-32768,-32768,   -26,-32768,    55,
    -6,    36,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,    26,-32768,
    -7,     4,-32768,     7,    29,   163,-32768,-32768,-32768,-32768,
-32768,-32768,    -2,   100,   -16,   -19,    31,    34,   -15,   -47,
   -46,-32768,-32768,-32768,-32768,   104,   104,-32768,-32768,-32768,
-32768,-32768,-32768,   172,-32768,-32768,-32768,    26,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,   143,   143,    21,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,    35,   172,   100,-32768,
     4,-32768,   104,-32768,-32768,-32768,-32768,-32768,    89,    91,
-32768
};

static const short yypgoto[] = {-32768,
-32768,-32768,    84,    82,-32768,-32768,-32768,    20,     1,   149,
    80,    92,-32768,-32768,    18,    19,    -4,   -57,     2,-32768,
    52,-32768,-32768,    30,-32768,-32768
};


#define	YYLAST		205


static const short yytable[] = {    10,
    79,    84,     2,     2,   -25,     1,    48,    10,    88,    75,
   -25,   -25,   -25,   -25,   -25,   -25,    85,   -25,   -25,   -25,
   -25,    80,   -25,     2,   -25,   -25,   -25,   -25,    49,    50,
     2,    83,    -2,     2,     2,    -1,   -25,   -25,   -25,   -25,
   -25,   -25,   -25,   -25,   -25,    88,   -25,     2,   -25,    62,
   -25,    64,   -25,    67,     2,     3,   -25,   -25,   -25,    86,
    87,   -25,   -25,    65,    13,    14,   -25,    66,    15,    16,
    17,    99,    18,    81,    19,    20,    21,    22,    82,     6,
     2,   103,     6,     2,     7,   104,    23,     6,   110,    12,
   111,    24,    25,    26,    27,    52,    28,   100,    29,   107,
    30,    39,    31,   101,   108,   102,    32,    33,    34,    13,
    14,    35,    36,    15,    16,    17,    37,    18,    90,    19,
    20,    21,    22,    19,    20,    21,    22,   106,     0,     0,
     0,    23,     0,     0,     0,     0,    24,    25,    26,    27,
     0,    28,     0,    29,     0,    30,     0,    31,     0,     0,
     0,    32,    13,    14,     0,    32,     0,     0,     0,     0,
    18,    37,    19,    20,    21,    22,    55,     0,    68,    69,
    70,    71,     0,     0,     0,    56,    57,    58,    59,    60,
     0,     0,    27,     0,    28,    61,    29,     0,    30,     0,
    31,     0,     0,     0,    32,    72,    73,    91,    92,    93,
    94,    95,    96,     0,    37
};

static const short yycheck[] = {     4,
    17,    49,    50,    50,     0,     1,    13,    12,    66,    12,
     6,     7,     8,     9,    10,    11,    63,    13,    14,    15,
    16,    41,    18,    50,    20,    21,    22,    23,    35,    36,
    50,    47,     0,    50,    50,     0,    32,    33,    34,    35,
    36,    37,    38,    39,    40,   103,    42,    50,    44,    24,
    46,    59,    48,    25,    50,    51,    52,    53,    54,    64,
    65,    57,    58,    60,    10,    11,    62,    61,    14,    15,
    16,    76,    18,    43,    20,    21,    22,    23,    45,     0,
    50,    61,     3,    50,     3,    51,    32,     8,     0,     8,
     0,    37,    38,    39,    40,    12,    42,    78,    44,    99,
    46,    10,    48,    86,   103,    87,    52,    53,    54,    10,
    11,    57,    58,    14,    15,    16,    62,    18,    67,    20,
    21,    22,    23,    20,    21,    22,    23,    98,    -1,    -1,
    -1,    32,    -1,    -1,    -1,    -1,    37,    38,    39,    40,
    -1,    42,    -1,    44,    -1,    46,    -1,    48,    -1,    -1,
    -1,    52,    10,    11,    -1,    52,    -1,    -1,    -1,    -1,
    18,    62,    20,    21,    22,    23,    18,    -1,     6,     7,
     8,     9,    -1,    -1,    -1,    27,    28,    29,    30,    31,
    -1,    -1,    40,    -1,    42,    37,    44,    -1,    46,    -1,
    48,    -1,    -1,    -1,    52,    33,    34,    26,    27,    28,
    29,    30,    31,    -1,    62
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/usr/share/misc/bison.simple"
/* This file comes from bison-1.28.  */

/* Skeleton output parser for bison,
   Copyright (C) 1984, 1989, 1990 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* This is the parser code that is written into each bison parser
  when the %semantic_parser declaration is not specified in the grammar.
  It was written by Richard Stallman by simplifying the hairy parser
  used when %semantic_parser is specified.  */

#ifndef YYSTACK_USE_ALLOCA
#ifdef alloca
#define YYSTACK_USE_ALLOCA
#else /* alloca not defined */
#ifdef __GNUC__
#define YYSTACK_USE_ALLOCA
#define alloca __builtin_alloca
#else /* not GNU C.  */
#if (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc) || defined (__sgi) || (defined (__sun) && defined (__i386))
#define YYSTACK_USE_ALLOCA
#include <alloca.h>
#else /* not sparc */
/* We think this test detects Watcom and Microsoft C.  */
/* This used to test MSDOS, but that is a bad idea
   since that symbol is in the user namespace.  */
#if (defined (_MSDOS) || defined (_MSDOS_)) && !defined (__TURBOC__)
#if 0 /* No need for malloc.h, which pollutes the namespace;
	 instead, just don't use alloca.  */
#include <malloc.h>
#endif
#else /* not MSDOS, or __TURBOC__ */
#if defined(_AIX)
/* I don't know what this was needed for, but it pollutes the namespace.
   So I turned it off.   rms, 2 May 1997.  */
/* #include <malloc.h>  */
 #pragma alloca
#define YYSTACK_USE_ALLOCA
#else /* not MSDOS, or __TURBOC__, or _AIX */
#if 0
#ifdef __hpux /* haible@ilog.fr says this works for HPUX 9.05 and up,
		 and on HPUX 10.  Eventually we can turn this on.  */
#define YYSTACK_USE_ALLOCA
#define alloca __builtin_alloca
#endif /* __hpux */
#endif
#endif /* not _AIX */
#endif /* not MSDOS, or __TURBOC__ */
#endif /* not sparc */
#endif /* not GNU C */
#endif /* alloca not defined */
#endif /* YYSTACK_USE_ALLOCA not defined */

#ifdef YYSTACK_USE_ALLOCA
#define YYSTACK_ALLOC alloca
#else
#define YYSTACK_ALLOC malloc
#endif

/* Note: there must be only one dollar sign in this file.
   It is replaced by the list of actions, each action
   as one case of the switch.  */

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	goto yyacceptlab
#define YYABORT 	goto yyabortlab
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.
   This remains here temporarily to ease the
   transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(token, value) \
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    { yychar = (token), yylval = (value);			\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { yyerror ("syntax error: cannot back up"); YYERROR; }	\
while (0)

#define YYTERROR	1
#define YYERRCODE	256

#ifndef YYPURE
#define YYLEX		yylex()
#endif

#ifdef YYPURE
#ifdef YYLSP_NEEDED
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, &yylloc, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval, &yylloc)
#endif
#else /* not YYLSP_NEEDED */
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval)
#endif
#endif /* not YYLSP_NEEDED */
#endif

/* If nonreentrant, generate the variables here */

#ifndef YYPURE

int	yychar;			/*  the lookahead symbol		*/
YYSTYPE	yylval;			/*  the semantic value of the		*/
				/*  lookahead symbol			*/

#ifdef YYLSP_NEEDED
YYLTYPE yylloc;			/*  location data for the lookahead	*/
				/*  symbol				*/
#endif

int yynerrs;			/*  number of parse errors so far       */
#endif  /* not YYPURE */

#if YYDEBUG != 0
int yydebug;			/*  nonzero means print parse trace	*/
/* Since this is uninitialized, it does not stop multiple parsers
   from coexisting.  */
#endif

/*  YYINITDEPTH indicates the initial size of the parser's stacks	*/

#ifndef	YYINITDEPTH
#define YYINITDEPTH 200
#endif

/*  YYMAXDEPTH is the maximum size the stacks can grow to
    (effective only if the built-in stack extension method is used).  */

#if YYMAXDEPTH == 0
#undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
#define YYMAXDEPTH 10000
#endif

/* Define __yy_memcpy.  Note that the size argument
   should be passed with type unsigned int, because that is what the non-GCC
   definitions require.  With GCC, __builtin_memcpy takes an arg
   of type size_t, but it can handle unsigned int.  */

#if __GNUC__ > 1		/* GNU C and GNU C++ define this.  */
#define __yy_memcpy(TO,FROM,COUNT)	__builtin_memcpy(TO,FROM,COUNT)
#else				/* not GNU C or C++ */
#ifndef __cplusplus

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (to, from, count)
     char *to;
     char *from;
     unsigned int count;
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#else /* __cplusplus */

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (char *to, char *from, unsigned int count)
{
  register char *t = to;
  register char *f = from;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#endif
#endif

#line 217 "/usr/share/misc/bison.simple"

/* The user can define YYPARSE_PARAM as the name of an argument to be passed
   into yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef YYPARSE_PARAM
#ifdef __cplusplus
#define YYPARSE_PARAM_ARG void *YYPARSE_PARAM
#define YYPARSE_PARAM_DECL
#else /* not __cplusplus */
#define YYPARSE_PARAM_ARG YYPARSE_PARAM
#define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
#endif /* not __cplusplus */
#else /* not YYPARSE_PARAM */
#define YYPARSE_PARAM_ARG
#define YYPARSE_PARAM_DECL
#endif /* not YYPARSE_PARAM */

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
#ifdef YYPARSE_PARAM
int yyparse (void *);
#else
int yyparse (void);
#endif
#endif

int
yyparse(YYPARSE_PARAM_ARG)
     YYPARSE_PARAM_DECL
{
  register int yystate;
  register int yyn;
  register short *yyssp;
  register YYSTYPE *yyvsp;
  int yyerrstatus;	/*  number of tokens to shift before error messages enabled */
  int yychar1 = 0;		/*  lookahead token as an internal (translated) token number */

  short	yyssa[YYINITDEPTH];	/*  the state stack			*/
  YYSTYPE yyvsa[YYINITDEPTH];	/*  the semantic value stack		*/

  short *yyss = yyssa;		/*  refer to the stacks thru separate pointers */
  YYSTYPE *yyvs = yyvsa;	/*  to allow yyoverflow to reallocate them elsewhere */

#ifdef YYLSP_NEEDED
  YYLTYPE yylsa[YYINITDEPTH];	/*  the location stack			*/
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;

#define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
#define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  int yystacksize = YYINITDEPTH;
  int yyfree_stacks = 0;

#ifdef YYPURE
  int yychar;
  YYSTYPE yylval;
  int yynerrs;
#ifdef YYLSP_NEEDED
  YYLTYPE yylloc;
#endif
#endif

  YYSTYPE yyval;		/*  the variable used to return		*/
				/*  semantic values from the action	*/
				/*  routines				*/

  int yylen;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Starting parse\n");
#endif

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss - 1;
  yyvsp = yyvs;
#ifdef YYLSP_NEEDED
  yylsp = yyls;
#endif

/* Push a new state, which is found in  yystate  .  */
/* In all cases, when you get here, the value and location stacks
   have just been pushed. so pushing a state here evens the stacks.  */
yynewstate:

  *++yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Give user a chance to reallocate the stack */
      /* Use copies of these so that the &'s don't force the real ones into memory. */
      YYSTYPE *yyvs1 = yyvs;
      short *yyss1 = yyss;
#ifdef YYLSP_NEEDED
      YYLTYPE *yyls1 = yyls;
#endif

      /* Get the current used size of the three stacks, in elements.  */
      int size = yyssp - yyss + 1;

#ifdef yyoverflow
      /* Each stack pointer address is followed by the size of
	 the data in use in that stack, in bytes.  */
#ifdef YYLSP_NEEDED
      /* This used to be a conditional around just the two extra args,
	 but that might be undefined if yyoverflow is a macro.  */
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yyls1, size * sizeof (*yylsp),
		 &yystacksize);
#else
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yystacksize);
#endif

      yyss = yyss1; yyvs = yyvs1;
#ifdef YYLSP_NEEDED
      yyls = yyls1;
#endif
#else /* no yyoverflow */
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	{
	  yyerror("parser stack overflow");
	  if (yyfree_stacks)
	    {
	      free (yyss);
	      free (yyvs);
#ifdef YYLSP_NEEDED
	      free (yyls);
#endif
	    }
	  return 2;
	}
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;
#ifndef YYSTACK_USE_ALLOCA
      yyfree_stacks = 1;
#endif
      yyss = (short *) YYSTACK_ALLOC (yystacksize * sizeof (*yyssp));
      __yy_memcpy ((char *)yyss, (char *)yyss1,
		   size * (unsigned int) sizeof (*yyssp));
      yyvs = (YYSTYPE *) YYSTACK_ALLOC (yystacksize * sizeof (*yyvsp));
      __yy_memcpy ((char *)yyvs, (char *)yyvs1,
		   size * (unsigned int) sizeof (*yyvsp));
#ifdef YYLSP_NEEDED
      yyls = (YYLTYPE *) YYSTACK_ALLOC (yystacksize * sizeof (*yylsp));
      __yy_memcpy ((char *)yyls, (char *)yyls1,
		   size * (unsigned int) sizeof (*yylsp));
#endif
#endif /* no yyoverflow */

      yyssp = yyss + size - 1;
      yyvsp = yyvs + size - 1;
#ifdef YYLSP_NEEDED
      yylsp = yyls + size - 1;
#endif

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Stack size increased to %d\n", yystacksize);
#endif

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Entering state %d\n", yystate);
#endif

  goto yybackup;
 yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Reading a token: ");
#endif
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Now at end of input.\n");
#endif
    }
  else
    {
      yychar1 = YYTRANSLATE(yychar);

#if YYDEBUG != 0
      if (yydebug)
	{
	  fprintf (stderr, "Next token is %d (%s", yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise meaning
	     of a token, for further debugging info.  */
#ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
#endif
	  fprintf (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting token %d (%s), ", yychar, yytname[yychar1]);
#endif

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* count tokens shifted since error; after three, turn off error status.  */
  if (yyerrstatus) yyerrstatus--;

  yystate = yyn;
  goto yynewstate;

/* Do the default action for the current state.  */
yydefault:

  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;

/* Do a reduction.  yyn is the number of a rule to reduce with.  */
yyreduce:
  yylen = yyr2[yyn];
  if (yylen > 0)
    yyval = yyvsp[1-yylen]; /* implement default value of the action */

#if YYDEBUG != 0
  if (yydebug)
    {
      int i;

      fprintf (stderr, "Reducing via rule %d (line %d), ",
	       yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (i = yyprhs[yyn]; yyrhs[i] > 0; i++)
	fprintf (stderr, "%s ", yytname[yyrhs[i]]);
      fprintf (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif


  switch (yyn) {

case 1:
#line 123 "sesh.y"
{
	resultat = yyvsp[-1].une_texte_liste.texte;
;
    break;}
case 2:
#line 126 "sesh.y"
{resultat= NULL;;
    break;}
case 3:
#line 127 "sesh.y"
{resultat= NULL;;
    break;}
case 5:
#line 132 "sesh.y"
{yyval.un_separateur=yyvsp[0].un_separateur;;
    break;}
case 6:
#line 136 "sesh.y"
{
	yyval.une_texte_liste.texte= yyvsp[0].une_texte_liste.texte;
	yyval.une_texte_liste.last=  yyvsp[0].une_texte_liste.last;
	/* kerning ignor */
;
    break;}
case 7:
#line 142 "sesh.y"
{
	yyval.une_texte_liste.texte=yyvsp[-2].une_texte_liste.texte;
	yyval.une_texte_liste.last->next= yyvsp[0].une_texte_liste.texte;
	yyvsp[0].une_texte_liste.texte->previous= yyval.une_texte_liste.last;
	yyval.une_texte_liste.last=yyvsp[0].une_texte_liste.last;
;
    break;}
case 8:
#line 151 "sesh.y"
{
	yyval.une_texte_liste.texte= yyvsp[0].un_texte;
	yyval.une_texte_liste.last= yyvsp[0].un_texte;
	if (ingray)
		SET_GRIS(yyvsp[0].un_texte);
	if (color == 1)
		yyvsp[0].un_texte->couleur= red;
;
    break;}
case 10:
#line 165 "sesh.y"
{yyval.un_entier=0;;
    break;}
case 12:
#line 170 "sesh.y"
{
	ingray= 1-ingray;
	yyval.un_entier= 0;
;
    break;}
case 13:
#line 174 "sesh.y"
{
	color= 1;
	yyval.un_entier=0;
;
    break;}
case 14:
#line 178 "sesh.y"
{
	color= 0;
	yyval.un_entier=0;
;
    break;}
case 15:
#line 186 "sesh.y"
{
	yyval.un_texte= NewTexte();
	yyval.un_texte->q= yyvsp[-1].un_quadra;
	SESH_creer_listesignes(yyvsp[-1].un_quadra, &(yyval.un_texte->lessignes));
	yyval.un_texte->q->hachures= yyvsp[0].des_hachures;
;
    break;}
case 16:
#line 193 "sesh.y"
{
	yyval.un_texte= NewTexte();	
	yyval.un_texte->type= T_NP;
	yyval.un_texte->saut= 0;
;
    break;}
case 17:
#line 199 "sesh.y"
{
	yyval.un_texte= NewTexte();	
	yyval.un_texte->type= T_NL;
	yyval.un_texte->saut= 0;
;
    break;}
case 18:
#line 205 "sesh.y"
{
	yyval.un_texte= NewTexte();	
	yyval.un_texte->type= T_FIXE_COORDONNEES;
	yyval.un_texte->coordonnees= yyvsp[0].des_coordonnees;
;
    break;}
case 19:
#line 211 "sesh.y"
{
	yyval.un_texte= NewTexte();
	yyval.un_texte->type= T_LIGNE_COMMENTAIRE;
	yyval.un_texte->texte= yyvsp[0].une_chaine; 
;
    break;}
case 20:
#line 219 "sesh.y"
{yyval.des_hachures= yyvsp[0].des_hachures;;
    break;}
case 21:
#line 220 "sesh.y"
{yyval.des_hachures= NOHACHURE;;
    break;}
case 22:
#line 224 "sesh.y"
{
	yyval.un_quadra= yyvsp[-1].un_quadra;
	yyval.un_quadra->hachures= yyvsp[0].des_hachures;
;
    break;}
case 23:
#line 230 "sesh.y"
{
	yyval.un_quadra= yyvsp[0].un_quadra;
	yyval.un_quadra->kerning= yyvsp[-1].un_entier;								/* nombre de signes de kerning */
;
    break;}
case 24:
#line 235 "sesh.y"
{
	yyval.un_quadra=yyvsp[-3].un_quadra;
	yyval.un_quadra->last->next= yyvsp[0].un_quadra;
	yyvsp[0].un_quadra->previous= yyval.un_quadra->last;
	yyval.un_quadra->last->separateur= yyvsp[-2].un_separateur;
	yyval.un_quadra->last=yyvsp[0].un_quadra;
	yyvsp[0].un_quadra->kerning= yyvsp[-1].un_entier;
;
    break;}
case 25:
#line 246 "sesh.y"
{ yyval.un_separateur= S_intersignes; ;
    break;}
case 27:
#line 251 "sesh.y"
{
	if (S_NEXT_OF(*(yyvsp[0].une_vertlist)) == NULL
			&& S_NEXT_OF(*VL_QUADRA_OF(*(yyvsp[0].une_vertlist))) == NULL
			&& (S_TYPE_OF(*VL_QUADRA_OF(*(yyvsp[0].une_vertlist))) != S_quadra
					&&
					S_TYPE_OF(*VL_QUADRA_OF(*(yyvsp[0].une_vertlist))) != S_signe))
	{															
		/* suppression des informations superflues */
		yyval.un_quadra= VL_QUADRA_OF(*(yyvsp[0].une_vertlist));
		VL_QUADRA_OF(*(yyvsp[0].une_vertlist))= NULL;
		detruit_vertlist(yyvsp[0].une_vertlist);
 	}
	else
	{
		yyval.un_quadra= new_quadra(S_quadra);
		yyval.un_quadra->kerning= 0;
		yyval.un_quadra->contenu.horizontal= yyvsp[0].une_vertlist;
	}
;
    break;}
case 28:
#line 271 "sesh.y"
{
	yyval.un_quadra= new_quadra(S_signe);
	yyval.un_quadra->contenu.un_signe= yyvsp[0].signe;
;
    break;}
case 29:
#line 277 "sesh.y"
{
	yyval.signe= new_sign(S_romain);
	yyval.signe->donnees= yyvsp[0].une_donnee;
;
    break;}
case 30:
#line 282 "sesh.y"
{
	yyval.signe= new_sign(S_haplographie);
;
    break;}
case 31:
#line 286 "sesh.y"
{
	yyval.signe= new_sign(S_gauchedroite);
;
    break;}
case 32:
#line 290 "sesh.y"
{
	yyval.signe= new_sign(S_droitegauche);
;
    break;}
case 33:
#line 294 "sesh.y"
{
	yyval.signe= new_sign(S_lacune);
;
    break;}
case 34:
#line 298 "sesh.y"
{
	 yyval.signe= new_sign(S_lignelacune);
 ;
    break;}
case 35:
#line 302 "sesh.y"
{
	 yyval.signe= new_sign(S_textesuper);
	 yyval.signe->donnees= yyvsp[0].une_donnee;
 ;
    break;}
case 36:
#line 309 "sesh.y"
{
	 yyval.une_vertlist= new_vert();
	 yyval.une_vertlist->un_quadra= yyvsp[0].un_quadra;
 ;
    break;}
case 37:
#line 314 "sesh.y"
{
	 yyval.une_vertlist=yyvsp[-3].une_vertlist;
	 yyval.une_vertlist->last->next= new_vert();
	 yyval.une_vertlist->last->next->previous= yyval.une_vertlist->last;
	 yyval.une_vertlist->last= yyval.une_vertlist->last->next;
	 yyval.une_vertlist->last->un_quadra= yyvsp[0].un_quadra;
	 yyval.une_vertlist->last->kerning= yyvsp[-1].un_entier;
 ;
    break;}
case 38:
#line 325 "sesh.y"
{
	 yyval.un_quadra= yyvsp[-3].un_quadra;
	 yyval.un_quadra->last->next= yyvsp[0].un_quadra;
	 yyval.un_quadra->last->separateur= S_intersignes;
	 yyval.un_quadra->last->next->previous= yyval.un_quadra->last;
	 yyval.un_quadra->last= yyvsp[0].un_quadra;
	 yyval.un_quadra->last->kerning= yyvsp[-1].un_entier;
 ;
    break;}
case 39:
#line 334 "sesh.y"
{
	 yyval.un_quadra= yyvsp[0].un_quadra;
 ;
    break;}
case 40:
#line 341 "sesh.y"
{
	yyval.un_quadra= new_quadra(S_signe);
	yyval.un_quadra->contenu.un_signe= yyvsp[0].signe;
;
    break;}
case 41:
#line 346 "sesh.y"
{
	yyval.un_quadra= new_quadra(S_ligature);
	yyval.un_quadra->contenu.lig= new_liggroup();
	yyval.un_quadra->contenu.lig->l= NULL;
	yyval.un_quadra->contenu.lig->nbr= 1 + yyvsp[0].ligature->nbr;
	yyval.un_quadra->contenu.lig->signs= new_signinlig();
	yyval.un_quadra->contenu.lig->signs->nbr= 1;
	yyval.un_quadra->contenu.lig->signs->sign= yyvsp[-2].signe;
	yyval.un_quadra->contenu.lig->signs->next= yyvsp[0].ligature;
	fix_ligature(yyval.un_quadra->contenu.lig);
;
    break;}
case 42:
#line 358 "sesh.y"
{	
	yyval.un_quadra= new_quadra(yyvsp[-2].un_typegroupe);
	yyval.un_quadra->contenu.des_quadras= yyvsp[-1].un_quadra;
	yyval.un_quadra->kerning= 0;	
;
    break;}
case 43:
#line 364 "sesh.y"
{	
	yyval.un_quadra= new_quadra(S_rightleft);
	yyval.un_quadra->contenu.des_quadras= yyvsp[-1].un_quadra;
	yyval.un_quadra->kerning= 0;	
;
    break;}
case 45:
#line 371 "sesh.y"
{
	yyval.un_quadra= yyvsp[-1].un_quadra;
;
    break;}
case 46:
#line 378 "sesh.y"
{
	yyval.un_entier =0;
;
    break;}
case 47:
#line 382 "sesh.y"
{
	yyval.un_entier= yyvsp[-1].un_entier + 1;
;
    break;}
case 49:
#line 389 "sesh.y"
{
	yyval.signe= new_sign(S_overwrite);
	yyval.signe->donnees.over[0]= yyvsp[-2].signe;
	yyval.signe->donnees.over[1]= yyvsp[0].signe;
;
    break;}
case 50:
#line 398 "sesh.y"
{
	yyval.ligature= new_signinlig();
	yyval.ligature->nbr= 1;
	yyval.ligature->sign= yyvsp[0].signe;
	yyval.ligature->next= NULL;
;
    break;}
case 51:
#line 405 "sesh.y"
{
	yyval.ligature= new_signinlig();
	yyval.ligature->nbr= 1 + yyvsp[0].ligature->nbr;
	yyval.ligature->sign= yyvsp[-2].signe;
	yyval.ligature->next= yyvsp[0].ligature;	
;
    break;}
case 52:
#line 415 "sesh.y"
{
	yyval.signe= new_sign(S_hieroglyphe);
	yyval.signe->donnees= yyvsp[0].une_donnee;
;
    break;}
case 53:
#line 420 "sesh.y"
{
	 yyval.signe= new_sign(S_point);
 ;
    break;}
case 54:
#line 424 "sesh.y"
{
	yyval.signe= new_sign(S_pointpoint);
;
    break;}
case 55:
#line 428 "sesh.y"
{
	yyval.signe= new_sign(S_pointrouge);
	yyval.signe->donnees= yyvsp[0].une_donnee;
;
    break;}
case 56:
#line 433 "sesh.y"
{
	yyval.signe= new_sign(S_pointnoir);
	yyval.signe->donnees= yyvsp[0].une_donnee;
;
    break;}
case 57:
#line 438 "sesh.y"
{
	yyval.signe= new_sign(S_inconnu);
	yyval.signe->donnees= yyvsp[0].une_donnee;	
;
    break;}
case 58:
#line 445 "sesh.y"
{
	yyval.signe= yyvsp[-2].signe;
	yyval.signe->estfinmot= yyvsp[0].un_entier;
	yyval.signe->estgram= yyvsp[-3].un_entier;	
;
    break;}
case 59:
#line 450 "sesh.y"
{
	 yyval.signe= new_sign(S_hachureg);
	 yyval.signe->type= S_hachureg;
 ;
    break;}
case 60:
#line 455 "sesh.y"
{
	 yyval.signe= new_sign(S_hachureh);
;
    break;}
case 61:
#line 459 "sesh.y"
{
	yyval.signe= new_sign(S_hachurev);
;
    break;}
case 62:
#line 463 "sesh.y"
{
	yyval.signe= new_sign(S_hachuret);
;
    break;}
case 63:
#line 468 "sesh.y"
{yyval.un_entier= TRUE;;
    break;}
case 64:
#line 469 "sesh.y"
{yyval.un_entier= FALSE;;
    break;}
case 65:
#line 472 "sesh.y"
{yyval.un_entier= TRUE;;
    break;}
case 66:
#line 473 "sesh.y"
{yyval.un_entier= FALSE;;
    break;}
case 67:
#line 476 "sesh.y"
{yyval.signe = yyvsp[0].signe;;
    break;}
case 68:
#line 477 "sesh.y"
{yyval.signe = yyvsp[-2].signe;;
    break;}
case 69:
#line 480 "sesh.y"
{yyval.signe = yyvsp[-1].signe; 	yyval.signe->size= yyvsp[0].un_entier;;
    break;}
case 70:
#line 481 "sesh.y"
{yyval.signe = yyvsp[-1].signe; yyval.signe->rotation= yyvsp[0].un_entier;;
    break;}
case 71:
#line 482 "sesh.y"
{yyval.signe = yyvsp[-1].signe; yyval.signe->rotation= yyvsp[0].un_entier; yyval.signe->revert= TRUE;;
    break;}
case 72:
#line 483 "sesh.y"
{yyval.signe = yyvsp[-1].signe; 
						yyval.signe->revert= TRUE;;
    break;}
case 73:
#line 485 "sesh.y"
{yyval.signe = yyvsp[-1].signe; yyval.signe->ignore= TRUE;;
    break;}
case 74:
#line 486 "sesh.y"
{yyval.signe = yyvsp[-1].signe; yyval.signe->islong= yyvsp[0].un_entier;;
    break;}
case 75:
#line 491 "sesh.y"
{
	yyval.un_quadra= new_quadra(S_superfetatoire);						
	yyval.un_quadra->contenu.des_quadras= yyvsp[-1].un_quadra;
	yyval.un_quadra->kerning= 0;	
;
    break;}
case 76:
#line 497 "sesh.y"
{
	yyval.un_quadra= new_quadra(S_efface);						
	yyval.un_quadra->contenu.des_quadras= yyvsp[-1].un_quadra;
	yyval.un_quadra->kerning= 0;
;
    break;}
case 77:
#line 503 "sesh.y"
{
	yyval.un_quadra= new_quadra(S_disparu);						
	yyval.un_quadra->contenu.des_quadras= yyvsp[-1].un_quadra;
	yyval.un_quadra->kerning= 0;
;
    break;}
case 78:
#line 509 "sesh.y"
{
	yyval.un_quadra= new_quadra(S_ajoutscribe);
	yyval.un_quadra->contenu.des_quadras= yyvsp[-1].un_quadra;
	yyval.un_quadra->kerning= 0;
;
    break;}
case 79:
#line 515 "sesh.y"
{
	yyval.un_quadra= new_quadra(S_ajoutauteur);						
	yyval.un_quadra->contenu.des_quadras= yyvsp[-1].un_quadra;
	yyval.un_quadra->kerning= 0;
;
    break;}
}
   /* the action file gets copied in in place of this dollarsign */
#line 543 "/usr/share/misc/bison.simple"

  yyvsp -= yylen;
  yyssp -= yylen;
#ifdef YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;

#ifdef YYLSP_NEEDED
  yylsp++;
  if (yylen == 0)
    {
      yylsp->first_line = yylloc.first_line;
      yylsp->first_column = yylloc.first_column;
      yylsp->last_line = (yylsp-1)->last_line;
      yylsp->last_column = (yylsp-1)->last_column;
      yylsp->text = 0;
    }
  else
    {
      yylsp->last_line = (yylsp+yylen-1)->last_line;
      yylsp->last_column = (yylsp+yylen-1)->last_column;
    }
#endif

  /* Now "shift" the result of the reduction.
     Determine what state that goes to,
     based on the state we popped back to
     and the rule number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;

yyerrlab:   /* here on detecting error */

  if (! yyerrstatus)
    /* If not already recovering from an error, report this error.  */
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  int size = 0;
	  char *msg;
	  int x, count;

	  count = 0;
	  /* Start X at -yyn if nec to avoid negative indexes in yycheck.  */
	  for (x = (yyn < 0 ? -yyn : 0);
	       x < (sizeof(yytname) / sizeof(char *)); x++)
	    if (yycheck[x + yyn] == x)
	      size += strlen(yytname[x]) + 15, count++;
	  msg = (char *) malloc(size + 15);
	  if (msg != 0)
	    {
	      strcpy(msg, "parse error");

	      if (count < 5)
		{
		  count = 0;
		  for (x = (yyn < 0 ? -yyn : 0);
		       x < (sizeof(yytname) / sizeof(char *)); x++)
		    if (yycheck[x + yyn] == x)
		      {
			strcat(msg, count == 0 ? ", expecting `" : " or `");
			strcat(msg, yytname[x]);
			strcat(msg, "'");
			count++;
		      }
		}
	      yyerror(msg);
	      free(msg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exceeded");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror("parse error");
    }

  goto yyerrlab1;
yyerrlab1:   /* here on error raised explicitly by an action */

  if (yyerrstatus == 3)
    {
      /* if just tried and failed to reuse lookahead token after an error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Discarding token %d (%s).\n", yychar, yytname[yychar1]);
#endif

      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token
     after shifting the error token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;

yyerrdefault:  /* current state does not do anything special for the error token. */

#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */
  yyn = yydefact[yystate];  /* If its default is to accept any token, ok.  Otherwise pop it.*/
  if (yyn) goto yydefault;
#endif

yyerrpop:   /* pop the current state because it cannot handle the error token */

  if (yyssp == yyss) YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#ifdef YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "Error: state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

yyerrhandle:

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting error token, ");
#endif

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;

 yyacceptlab:
  /* YYACCEPT comes here.  */
  if (yyfree_stacks)
    {
      free (yyss);
      free (yyvs);
#ifdef YYLSP_NEEDED
      free (yyls);
#endif
    }
  return 0;

 yyabortlab:
  /* YYABORT comes here.  */
  if (yyfree_stacks)
    {
      free (yyss);
      free (yyvs);
#ifdef YYLSP_NEEDED
      free (yyls);
#endif
    }
  return 1;
}
#line 522 "sesh.y"



/**
 *
 */

PUBLIC Texte *
sesh_parse_array(char *array)
{
	extern int seshnumligne;
	extern void SESH_init_seshlex();
	resultat= NULL;
	erreur_de_syntaxe= 0;
	seshnumligne= 0;
	color= 0;
	ingray= FALSE;
	init_array_read(array);
	SESH_init_seshlex();
	yyparse();
	return resultat;
}

/**
	Used for error messages
 */

PUBLIC void 
sesherror(char *s)
{
		extern char *seshtext;
		extern int seshnumligne;
		erreur_de_syntaxe= 1;
		sprintf(rapport_erreur_de_syntaxe, "%s, pres de %s ligne %d\n", s, 
						seshtext, seshnumligne);
}

/*
 * Local Variables:
 * header: "seshaux.h"
 * tab-width: 2
 * End:
 */
