package require xml 2.0
package require xpath
xml::parser pr
set parser pr


proc HandleText {data} {
    puts "Character data ==> $data"
}

proc mStart {name attlist args} {
    puts "Element start ==> $name has attributes $attlist"
    puts "arguments $args"
}

proc HandleEnd {name} {
    puts "Element end ==> end of $name"
}

proc testAttList {elt attr type def val} {
    puts "elt is $elt\nattr is $attr\n type is $type\ndefault is $def\nval is $val"
}

proc loadDTD {name public system dtd} {
    puts "$name, $public, $system, $dtd"
    
}

$parser configure -characterdatacommand HandleText \
	-elementstartcommand mStart -doctypecommand loadDTD

#$parser configure -elementendcommand HandleEnd
$parser configure -attlistdeclcommand testAttList
$parser configure -defaultCommand puts
$parser configure -validate 1

set f [open titi.xml]
set t [read $f]
close $f

$parser parse $t

puts [xpath::split {svg/path[2]}]
