lappend auto_path [pwd]
package require xml
xml::parser pr
set parser xml::pr


proc HandleText {data} {
    puts "Character data ==> $data"
}

proc mStart {name attlist} {
    puts "Element start ==> $name has attributes $attlist"
}

proc HandleEnd {name} {
    puts "Element end ==> end of $name"
}

$parser configure -characterdatacommand HandleText \
	-elementstartcommand mStart

$parser configure -elementendcommand HandleEnd


set f [open sign.svg]
set t [read $f]
close $f

$parser parse $t
