#
# Package for selecting a file in 
# the database. SHOULD NOT EVEN BE USED NOW ????
#
#                  DEPRECATED
#
#

package provide dbfilesel 0.0
package require seshtext

if 0 {
namespace eval dbfilesel {
    variable VARS

    #
    # Fields :
    # ------
    #
    # $w,-ext : extension for this file (dotless)
    #           default : hie
    # $w,-create : 0 or 1. 1 => allows new file creation
    #           default : 0
    # $w,result : file chosen by the application.
    #
    # $w,cancel : file choice was aborted
    
    namespace export create gettext settext
    namespace export select chosetext getname
    
    proc create {w args} {
	frame $w
	entry $w.e -width 50
	button $w.b -text [legendes::trans "Browse"]\
	    -command [list dbfilesel::chosetext $w]
	pack $w.e $w.b -side left
	init $w
	process_options $w $args
	return $w
    }

    # Getname is a simplified version, for the case
    # where only one file must be selected. It pops 
    # up the window, get the name and sends it back.

    proc getname {args} {
	variable VARS
	set w nowindow
	init $w
	process_options $w $args
	chosetext $w 0
	if $VARS($w,cancel) {
	    error "Cancel"
	}
	return $VARS($w,result)
    }

    proc process_options {w opts} {
	variable VARS
	foreach {o v} $opts {
	    set VARS($w,$o) $v
	}
    }
    
    proc init {w} {
	variable VARS
	foreach {opt def} {
	    -ext hie
	    -create 0
	} {
	    set VARS($w,$opt) $def
	}
    }
    
    proc getoptval {w opt} {
	variable VARS
	if [info exists VARS($w,$opt)] {
	    return [list $opt $VARS($w,$opt)]
	} else {
	    return {}
	}
    }
    
    proc gettext {w} {
	return [$w.e get]
    }
    
    proc settext {w txt} {
	$w.e delete 0 end
	$w.e insert insert $txt
    }
    
    proc select {w} {
	variable VARS
	set VARS($w,result) [.choose.l get active]
	grab release .choose
	focus $VARS($w,old)
	destroy .choose
    }

    proc windestroy {w} {
	variable VARS
	set VARS($w,cancel) 1
	grab release .choose
	focus $VARS($w,old)
	destroy .choose
    }
    
    proc deleteText {w} {
	puts "deleting..."
	set txt [.choose.l get active]
	seshtext::delete $txtname
	puts "deleting $txt"
    }

    proc chosetext {w {inwin 1}} {
	variable VARS
	catch {destroy .choose}
	set ch [toplevel .choose]
	set l [seshtext::listbase $VARS($w,-ext)]
	set VARS($w,cancel) 0
	listbox $ch.l  -width 20 -height 20 -yscroll "$ch.s set"\
	    -takefocus 1
	scrollbar $ch.s -command "$ch.l yview"
	eval $ch.l insert 0 $l
	button $ch.cancel -text [legendes::trans "Cancel"] -command [list dbfilesel::windestroy $w]
	grid $ch.l $ch.s -sticky news
	grid  $ch.cancel -
	grid rowconfigure $ch 0 -weight 1
	grid columnconfigure $ch 0 -weight 1
	set VARS($w,old) [focus]
	grab $ch
	bind $ch.l <Return> [list dbfilesel::select $w] 
	bind $ch.l <Double-Button-1> [list dbfilesel::deleteText $w] 
	#bind $ch.l <Double-Button-1> [list dbfilesel::select $w]
	puts heeeere	
	tkwait window $ch
	if {$inwin && ! $VARS($w,cancel)} {
	    settext $w $VARS($w,result)
	}
    }
}
}					


