# signe.tcl --
#
#	New package for working with hieroglyphic signs. 
#	This one uses the database system for sign loading
#


# glyph --
# 	An actual drawing. 
#	a glyph has a unique id, of the form UuSn
#	where u is the user ID, and n the sign number.
#
#	entry : ID, SHARED, DRAWING, CONSTRUCTION LINES

namespace eval glyph {

    proc getNewID {} {
    }

    proc save {} {
    }
}

# hasCode --
# 	Links glyphs and Gardiner codes 
#	(mdc phonetic values are limited in number, and hardlinked)
#	the "hasCode" relation is SIGNED. That is, 
#	it is explicitely made by a USER. Other users are free to 
#	keep it or to leave it (well, will be free).

# isSignVariant --
#	links two codes. 
#	state that they are variant codes for the same sign. 

# phoneticValue --
#	state that a given sign has a phonetic value. SIGNED.

