
if { ! [ info exists env(SESHLIB) ] } {
    set env(SESHLIB) pwd
    set env(ldext) so
}

set trans_loaded 0

proc trans_load {} {
    global env
    global trans_loaded
    if {! $trans_loaded} {
	if {[catch {
	    load [file join $env(SESHLIB) LIBS tclpl.$env(ldext)]
	    plload $env(SESHLIB)/trans.pl
	    set trans_loaded 1}]} {
	    proc plcall {a args} {return ""}
	}
    }
}

proc translit {mot} {
    trans_load
    if { $mot != "" } {
	return [plcall trans1 $mot]
    } else {
	return ""
    }
}

proc dans_ligne {mot ligne} {
    trans_load
    return [plcall mot_dans_texte $mot $ligne]
}