/*#############################################################################                                  UNILITERES 
##########################################################################*/

lectures_possibles('D21', [['r']]). % valeur rA dans les rgles
%%lectures_possibles('D36', [['a'], ['d'], ['m'], ['m','i'],'*']).
lectures_possibles('D36', [['a'], '*'/0.3]).
lectures_possibles('D46', [['d']]).
lectures_possibles('D58', [['b']]).
lectures_possibles('F32', [['X']]).
lectures_possibles('G1',[['A']]).
lectures_possibles('G17', [['m']]).
lectures_possibles('G43', [['w']]).
lectures_possibles('I9', [['f']]).
lectures_possibles('I10', [['D']]).
lectures_possibles('M17', [['i']]).
lectures_possibles('N35', [['n']]).
lectures_possibles('O4', [['h']]).
lectures_possibles('O34', [['s']]).
lectures_possibles('Q3', [['p']]).
lectures_possibles('S29', [['s']]).
lectures_possibles('V13', [['T']]).
lectures_possibles('V28', [['H']]).
lectures_possibles('V31', [['k']]).
lectures_possibles('V31A', [['k']]).
lectures_possibles('W11', [['g'], ['n','s','t']]).
lectures_possibles('X1', [['t']]).
lectures_possibles('X7', [['q']]).
lectures_possibles('Z4', [['y']]).
lectures_possibles('Z7', [['w']]).
lectures_possibles('Aa1', [['x']]).

/*############################################################################
                              SIGNES CODES PAR A* 
#############################################################################*/
lectures_possibles('A1', [*]).
lectures_possibles('A2', [*]).
lectures_possibles('A3', [*]).
lectures_possibles('A4', [*]).
lectures_possibles('A5', [*]).
lectures_possibles('A6', [*, ['w','a','b']]).
lectures_possibles('A7', [*]).
lectures_possibles('A8', [*]).
lectures_possibles('A9', [*, ['A','T','p'], ['f','A','i'], ['k','A','t']]).
lectures_possibles('A10', [*]).
lectures_possibles('A11', [*, ['x','n','m','s']]).
lectures_possibles('A12', [*, ['m','S','a']]).
lectures_possibles('A13', [*]).
lectures_possibles('A14', [*]).
lectures_possibles('A14A', [*]).
lectures_possibles('A15', [*, ['x','r'], ['s','x','r']]).
lectures_possibles('A16', [*]).
lectures_possibles('A17', [['X','r','d'], ['n','n','i'], *]).
lectures_possibles('A17A', [*]).
lectures_possibles('A18', [*]).
lectures_possibles('A19', [['i','A','w'], ['i','k'], ['H','w'], *]).
lectures_possibles('A20', [*, ['s','m','s','w']]).
lectures_possibles('A21', [*, ['s','r'] / 0.3]).
lectures_possibles('A22', [*]).
lectures_possibles('A23', [*]).
lectures_possibles('A24', [['H','w'], ['n','x','t'], *]).
lectures_possibles('A25', [['H','w'], *]).
lectures_possibles('A26', [['a','S'], *]).
lectures_possibles('A27', [['i','n'], *]).
lectures_possibles('A28', [['q','A'], *]).
lectures_possibles('A29', [*]).
lectures_possibles('A30', [['d','w','A'],*]).
lectures_possibles('A31', [*]).
lectures_possibles('A32', [*]).
lectures_possibles('A33', [['m','n','i','w'], *]).
lectures_possibles('A34', [*]).
lectures_possibles('A35', [['q','d'], *]).
lectures_possibles('A36', [['a','f'],*]).
lectures_possibles('A37', [['a','f'], *]).
lectures_possibles('A38', [['q','i','s'], ['q','s'],*]).
lectures_possibles('A39', [['q','i','s'], *]).
lectures_possibles('A40', [['i'],*]).
lectures_possibles('A41', [['i'],*]).
lectures_possibles('A42', [['i'],*]).
lectures_possibles('A43', [*]).
lectures_possibles('A44', [*]).
lectures_possibles('A45', [['b','i','t','y'],*]).
lectures_possibles('A46', [['b','i','t','y'],*]).
lectures_possibles('A47', [['i','r','y'], ['s','A','w'], ['m','n','i','w'],*]).
lectures_possibles('A48', [['i','r','y'],*]).
lectures_possibles('A49', [['s','t','y','w'],*]).
lectures_possibles('A50', [['S','p','s'],['i'],*]).
lectures_possibles('A51', [['S','p','s','i'], *]).
lectures_possibles('A52', [*]).
lectures_possibles('A53', [*]).
lectures_possibles('A54', [*]).
lectures_possibles('A55', [*]).
lectures_possibles('A59', [*]).


/*##########################################################################
                              SIGNES CODES PAR B* 
##########################################################################*/

lectures_possibles('B1', [['i'],*]).
lectures_possibles('B2', [*]).
lectures_possibles('B3', [['m','s','i'], *]).
lectures_possibles('B4', [['m','s','i'], *]).
lectures_possibles('B5', [*]).
lectures_possibles('B6', [*]).
lectures_possibles('B7', [*]).


/*############################################################################
                                SIGNES CODES PAR C* 
#########################################################################*/

lectures_possibles('C1', [['r','a'], *]).
lectures_possibles('C2',[['r','a'], *]).
lectures_possibles('C3',[['D','H','w','t','y'], *]).
lectures_possibles('C4',[['H','n','m','w'], *]).
lectures_possibles('C5',[*, ['H','n','m','w']]).
lectures_possibles('C6',[['i','n','p','w'], *]).
lectures_possibles('C7',[['s','t','X'], *]).
lectures_possibles('C8',[['m','n','w'], *]).
lectures_possibles('C9',[['H','t','-','H','r'], *]).
lectures_possibles('C10',[['m','A','a','t'], *]).
lectures_possibles('C11',[['H','H'], *]).
lectures_possibles('C12',[['I','m','n'], *]).
lectures_possibles('C17',[['m','w','n','t'], *]).
lectures_possibles('C18',[['T','a','n','n'], *]).
lectures_possibles('C19',[*]).
lectures_possibles('C20',[['p','t','H'], *]).

/*###########################################################################
                         SIGNES CODES PAR D* 
#############################################################################*/

lectures_possibles('D1',[['t','p']]).
lectures_possibles('D2',[['H','r']]).
lectures_possibles('D3',[['S','n','y'], *]).
lectures_possibles('D4',[['i','r']]).
lectures_possibles('D5',[*]).
lectures_possibles('D6',[*]).
lectures_possibles('D7',[['a','n'], *]).
lectures_possibles('D8',[['a','n'], *]).
lectures_possibles('D9',[['r','m','i'], *]).
lectures_possibles('D10',[['w','D','A','t'], *]).
lectures_possibles('D11',[['1','/','2','-','H','q','A','t'], *]).
lectures_possibles('D12',[*]).
lectures_possibles('D14',[*]).
lectures_possibles('D15',[*]).
lectures_possibles('D16',[*]).
lectures_possibles('D17',[['t','i','t'], *]).
lectures_possibles('D18',[['m','s','D','r'],*]).
lectures_possibles('D19',[['f','n','d'], ['f','n','D'], ['x','n','t','y'], *]).
lectures_possibles('D20',[['f','n','d'], ['f','n','D'], ['x','n','t','y'], *]).
lectures_possibles('D22',[['r','w','y'], *]).
lectures_possibles('D23',[['x','m','t','r','w'], *]).
lectures_possibles('D24',[['s','p','t'], *]).
lectures_possibles('D25',[['s','p','t','y'], *]).
lectures_possibles('D26',[*]).
lectures_possibles('D27',[['m','n','D'], *]).
lectures_possibles('D28',[['k','A']]).
lectures_possibles('D29',[['k','A']]).
lectures_possibles('D30',[*]).
lectures_possibles('D31',[['H','m','-','k','A'], *]).
lectures_possibles('D32',[*]).
lectures_possibles('D33',[['X','n']]).
lectures_possibles('D34',[['a','H','A'], *]).
lectures_possibles('D34A',[['a','H','A'], *]).
lectures_possibles('D35',[['n'],['i','w','t','y']]).
lectures_possibles('D37',[['i','m','i'], ['d'], ['m','i'], ['m'], *]).
lectures_possibles('D38',[['m'], ['m', 'i']]).
lectures_possibles('D39',[['a'], ['d'], *]).
lectures_possibles('D40',[['n','x','t'], ['x','A','i'], *]).
lectures_possibles('D41',[['n','i','w'], ['r','m','n'], *]).
lectures_possibles('D42',[['m','H'], *]).
lectures_possibles('D43',[['x','w','i'], ['x','w'], *]).
lectures_possibles('D44',[['x','r','p'], *]).
lectures_possibles('D45',[['D','s','r'], *]).
lectures_possibles('D46A',[['i','d','t'], *]).
lectures_possibles('D47',[*]).
lectures_possibles('D48',[*]).
lectures_possibles('D49',[*]).
lectures_possibles('D50',[['D','b','a'], *]).
lectures_possibles('D51',[['a','n','t'], ['d','q','r'], *]).
lectures_possibles('D52',[['m','t'], ['k','A']]).
lectures_possibles('D53',[['b','A','H'], *]).
lectures_possibles('D54',[['i','w'], ['n','m','t','t'],*]).
lectures_possibles('D55',[*]).
lectures_possibles('D56',[['w','a','r'], ['p','d','s'], ['r','d'], ['s','b','q'], ['g','H'], ['g','H','s'], *]).
lectures_possibles('D57',[['i','A','T','w'], *]).
lectures_possibles('D59',[['a','b']]).
lectures_possibles('D60',[['w','a','b'], *]).
lectures_possibles('D61',[['s','A','H'], *]).
lectures_possibles('D62',[['s','A','H'], *]).
lectures_possibles('D63',[['s','A','H'], *]).



/*#############################################################################
                        SIGNES CODES PAR E* 
#############################################################################*/


lectures_possibles('E1',[['k','A'], *]).
lectures_possibles('E2',[['k','A'], *]).
lectures_possibles('E3',[*]).
lectures_possibles('E4',[*]).
lectures_possibles('E5',[*]).
lectures_possibles('E6',[['s','s','m','t'], *]).
lectures_possibles('E7',[*]).
lectures_possibles('E8',[['i','b'], *]).
lectures_possibles('E8A',[*]).
lectures_possibles('E9',[['i','w']]).
lectures_possibles('E10',[*]).
lectures_possibles('E11',[*]).
lectures_possibles('E12',[*]).
lectures_possibles('E13',[*]).
lectures_possibles('E14',[*]).
lectures_possibles('E15',[['i','n','p','w'], *]).
lectures_possibles('E16',[['i','n','p','w'],*]).
lectures_possibles('E17',[['s','A','b'], *]).
lectures_possibles('E18',[['w','p','-','w','A','w','t'], *]).
lectures_possibles('E19',[['w','p','-','w','A','w','t'], *]).
lectures_possibles('E20',[['s','t','X'], *]).
lectures_possibles('E21',[*]).
lectures_possibles('E22',[['m','A','i'], *]).
lectures_possibles('E23',[['r','w'], ['l'], ['r'], ['S','n','a']]).
lectures_possibles('E24',[['A','b','y'], *]).
lectures_possibles('E25',[*]).
lectures_possibles('E26',[['A','b','w'], *]).
lectures_possibles('E27',[*]).
lectures_possibles('E28',[*]).
lectures_possibles('E29',[*]).
lectures_possibles('E30',[*]).
lectures_possibles('E31',[['s','a','H'], *]).
lectures_possibles('E32',[*]).
lectures_possibles('E33',[*]).
lectures_possibles('E34',[['w','n']]).


/*#############################################################################
                        SIGNES CODES PAR F* 
#############################################################################*/


lectures_possibles('F1',[['k','A'], *]).
lectures_possibles('F2',[*]).
lectures_possibles('F3',[['A','t'], *]).
lectures_possibles('F4',[['H','A','t'], *]).
lectures_possibles('F5',[['s','S','A'],['S','s','A'], *]).
lectures_possibles('F6',[['s','S','A'],['S','s','A'],*]).
lectures_possibles('F7',[['S','f','y','t'], *]).
lectures_possibles('F8',[['S','f','y','t'],*]).
lectures_possibles('F9',[['p','H','t','y'], *]).
lectures_possibles('F10',[*]).
lectures_possibles('F11',[*]).
lectures_possibles('F12',[['w','s','r'], *]).
lectures_possibles('F13',[['w','p'], ['i','p']]).
lectures_possibles('F14',[['w','p','t','-','r','n','p','t'], *]).
lectures_possibles('F15',[['w','p','t','-','r','n','p','t'],*]).
lectures_possibles('F16',[['d','b'], ['a','b'], *]).
lectures_possibles('F17',[['a','b','w'], *]).
lectures_possibles('F18',[['H','w'], ['b','H'], ['b','i'], ['b','i','A'], ['i','b','H'], *]).
lectures_possibles('F19',[*]).
lectures_possibles('F20',[['n','s'], ['i','m','y','-','r']]).
lectures_possibles('F21',[['i','d','n'], ['m','s','D','r'], ['s','D','m'], ['D','r','D'], *]).
lectures_possibles('F22',[['p','H'], ['k','f','A']]).
lectures_possibles('F23',[['x','p','S'], *]).
lectures_possibles('F24',[*, ['x','p','S']]).
lectures_possibles('F25',[['w','H','m'], *]).
lectures_possibles('F26',[['X','n']]).
lectures_possibles('F27',[*]).
lectures_possibles('F28',[['s','A','b'], ['A','b'], *]).
lectures_possibles('F29',[['s','t','i'], ['s','t'], *]).
lectures_possibles('F30',[['S','d'], *]).
lectures_possibles('F31',[['m','s']]).
lectures_possibles('F33',[['s','d'], *]).
lectures_possibles('F34',[['i','b'], '*']).
lectures_possibles('F35',[['n','f','r']]).
lectures_possibles('F36',[['s','m','A']]).
lectures_possibles('F37',[['i','A','t'], ['s','m'], *]).
lectures_possibles('F37B',[*]).
lectures_possibles('F38',[*]).
lectures_possibles('F39',[['i','m','A','x'], *]).
lectures_possibles('F40',[['A','w']]).
lectures_possibles('F41',[*]).
lectures_possibles('F42',[['s','p','r'], *]).
lectures_possibles('F43',[*]).
lectures_possibles('F44',[['i','w','a'], ['i','s','w'], *]).
lectures_possibles('F45',[['i','d','t'], *]).
lectures_possibles('F46',[['p','X','r'], ['q','A','b'], ['d','b','n'], *]).
lectures_possibles('F47',[*, ['p','X','r'], ['q','A','b'], ['d','b','n']]).
lectures_possibles('F48',[*, ['p','X','r'], ['q','A','b'], ['d','b','n']]).
lectures_possibles('F49',[*, ['p','X','r'], ['q','A','b'], ['d','b','n']]).
lectures_possibles('F50',[['s','p','X','r'], *]).
lectures_possibles('F51',[['A','s'], ['w','s'], *]).
lectures_possibles('F52',[*]).


/*#############################################################################
                        SIGNES CODES PAR G* 
#############################################################################*/


lectures_possibles('G2',[['A','A']]).
lectures_possibles('G3',[['m','A']]).
lectures_possibles('G4',[['t','y','w']]).
lectures_possibles('G5',[['H','r'], *]).
lectures_possibles('G6',[*]).
lectures_possibles('G7',[['i'], *]).
lectures_possibles('G7A',[['a','n','t','y'], *]).
lectures_possibles('G7AA',[*, ['a','n','t','y']]).
lectures_possibles('G8',[['H','r','-','n','-','n','b','w'], *]).
lectures_possibles('G9',[['R','a','-','H','r','-','A','x','t','y'], *]).
lectures_possibles('G10',[*]).
lectures_possibles('G11',[*]).
lectures_possibles('G12',[*]).
lectures_possibles('G13',[['H','r'], *]).
lectures_possibles('G14',[['m','w','t'], ['m','t'], ['n','r'], *]).
lectures_possibles('G15',[['m','w','t'], *]).
lectures_possibles('G16',[['n','b','t','y'], *]).
lectures_possibles('G18',[['m','m'], ['i','m'],*]).
lectures_possibles('G19',[['m'], ['m','i']]).
lectures_possibles('G20',[['m'], ['m','i']]).
lectures_possibles('G21',[['n','H']]).
lectures_possibles('G22',[['D','b']]).
lectures_possibles('G23',[['r','x','y','t'], *]).
lectures_possibles('G24',[['r','x','y','t'], *]).
lectures_possibles('G25',[['A','x']]).
lectures_possibles('G26',[['D','H','w','t','y'], *]).
lectures_possibles('G26A',[*]).
lectures_possibles('G27',[['d','S','r'], *]).
lectures_possibles('G28',[['g','m']]).
lectures_possibles('G29',[['b','A']]).
lectures_possibles('G30',[['b','A','w'], *]).
lectures_possibles('G31',[*]).
lectures_possibles('G32',[['b','A','H','i'], *]).
lectures_possibles('G33',[*]).
lectures_possibles('G34',[*]).
lectures_possibles('G35',[['a','q']]).
lectures_possibles('G36',[['w','r']]).
lectures_possibles('G37',[['n','D','s'], *]).
lectures_possibles('G38',[['g','b']]).
lectures_possibles('G39',[['s','A']]).
lectures_possibles('G40',[['p','A']]).
lectures_possibles('G41',[['s','H'] / 0.5 , ['x','n'] / 0.5 , ['p','A'], ['q','m','y','t'] / 0.5 ]).
lectures_possibles('G42',[['w','S','A'], *]).
lectures_possibles('G44',[['w','w']]).
lectures_possibles('G45',[['w','a']]).
lectures_possibles('G46',[['m','A','w']]).
lectures_possibles('G47',[['T','A']]).
lectures_possibles('G48',[*]).
lectures_possibles('G49',[['s','S'], *]).
lectures_possibles('G50',[['r','x','t','y'], *]).
lectures_possibles('G51',[*]).
lectures_possibles('G52',[*]).
lectures_possibles('G53',[['b','A'], *]).
lectures_possibles('G54',[['s','n','D'], *]).

/*#############################################################################
                        SIGNES CODES PAR H* 
#############################################################################*/

lectures_possibles('H1',[['A','p','d','w'], *]).
lectures_possibles('H2',[['w','s','m'], *]).
lectures_possibles('H3',[['p','A','q'], *]).
lectures_possibles('H4',[['n','r'], ['r','m','T'], *]).
lectures_possibles('H5',[*]).
lectures_possibles('H6',[['S','w'], ['m','A','a','t']]).
lectures_possibles('H6A',[['S','w'], *]).
lectures_possibles('H7',[['s','A']]).
lectures_possibles('H8',[*]).


/*#############################################################################
                        SIGNES CODES PAR I* 
#############################################################################*/


lectures_possibles('I1',[['a','S','A'], *]).
lectures_possibles('I2',[['S','t','y','w'], *]).
lectures_possibles('I3',[['m','s','H'], *]).
lectures_possibles('I4',[['s','b','k'], *]).
lectures_possibles('I5',[['s','A','q'], *]).
lectures_possibles('I5A',[['s','b','k'], *]).
lectures_possibles('I6',[['k','m']]).
lectures_possibles('I7',[*]).
lectures_possibles('I8',[['H','f','n'], *]).
lectures_possibles('I11',[['D','D']]).
lectures_possibles('I12',[*]).
lectures_possibles('I13',[*]).
lectures_possibles('I14',[*]).
lectures_possibles('I15',[*]).


/*#############################################################################
                        SIGNES CODES PAR K* 
#############################################################################*/



lectures_possibles('K1',[['i','n']]).
lectures_possibles('K2',[*]).
lectures_possibles('K3',[['a','d']]).
lectures_possibles('K4',[['X','A']]).
lectures_possibles('K5',[['b','s'], *]).
lectures_possibles('K6',[['n','S','m','t'], *]).
lectures_possibles('K7',[*]).

/*#############################################################################
                        SIGNES CODES PAR L* 
#############################################################################*/

lectures_possibles('L1',[['x','p','r']]).
lectures_possibles('L2',[['b','i','t'], *]).
lectures_possibles('L3',[['x','A'], *]).
lectures_possibles('L4',[*]).
lectures_possibles('L5',[*]).
lectures_possibles('L6',[*]).
lectures_possibles('L7',[['s','r','q','t'], *]).

/*#############################################################################
                        SIGNES CODES PAR M* 
#############################################################################*/

lectures_possibles('M1',[['i','A','m'], *]).
lectures_possibles('M2',[['X','n'], ['i'], ['s']]).
lectures_possibles('M3',[['x','t'],*]).
lectures_possibles('M4',[['r','n','p'], ['s','n','f'], ['H','A','t'], *]).
lectures_possibles('M5',[['t','r'], ['t','i']]).
lectures_possibles('M6',[['t','r']]).
lectures_possibles('M7',[*]).
lectures_possibles('M8',[['S','A'], ['A','x','t']]).
lectures_possibles('M9',[['s','S','n'], *]).
lectures_possibles('M10',[*]).
lectures_possibles('M11',[['w','d','n'], *]).
lectures_possibles('M12',[['x','A']]).
lectures_possibles('M13',[['w','A','D'], ['w','D'] / 0.75, *]).
lectures_possibles('M14',[['w','A','D']]).
lectures_possibles('M15',[['A','x']]).
lectures_possibles('M16',[['H','A']]).
lectures_possibles('M18',[['i','i']]).
lectures_possibles('M19',[['a','A','b','t'], *]).
lectures_possibles('M20',[['s','x','t'], ['s','m'], *]).
lectures_possibles('M21',[['s','m'], *]).
lectures_possibles('M22',[['n','x','b']]).
lectures_possibles('M23',[['s','w']]).
lectures_possibles('M24',[['r','s','w'], ['r','s','y']]).
lectures_possibles('M25',[['r','s','w'], ['S','m','a']]).
lectures_possibles('M26',[['S','m','a'], *]).
lectures_possibles('M27',[['S','m','a','y','t'], ['S','m','a'],*]).
lectures_possibles('M28',[*]).
lectures_possibles('M29',[['n','D','m'], *]).
lectures_possibles('M30',[['b','n','r'], *]).
lectures_possibles('M31',[*]).
lectures_possibles('M32',[*]).
lectures_possibles('M33',[['i','t'], *]).
lectures_possibles('M34',[['b','d','t'], ['b','t','y'], *]).
lectures_possibles('M35',[*]).
lectures_possibles('M36',[['D','r']]).
lectures_possibles('M37',[*]).
lectures_possibles('M38',[*]).
lectures_possibles('M39',[*]).
lectures_possibles('M40',[['i','s'], ['i','s']]).
lectures_possibles('M41',[*]).
lectures_possibles('M42',[['w','n']]).
lectures_possibles('M43',[['i','r','p'], ['k','A','n'], *]).
lectures_possibles('M44',[['s','p','d'], *]).


/*#############################################################################
                        SIGNES CODES PAR N* 
#############################################################################*/

lectures_possibles('N1',[['p','t'], ['H','r','t'], ['H','r','y'], *]).
lectures_possibles('N2',[['g','r','H'], *]).
lectures_possibles('N3',[['g','r','H'], *]).
lectures_possibles('N4',[['i','A','d','t'], ['i','d','t'], *]).
lectures_possibles('N5',[['r','a'], ['s','w'], ['h','r','w'], *]).
lectures_possibles('N6',[['r','a'], *]).
lectures_possibles('N7',[*]).
lectures_possibles('N8',[['A','x','w'], ['H','n','m','m','t'], *]).
lectures_possibles('N9',[['p','s','D'], *]).
lectures_possibles('N10',[['p','s','D'], *]).
lectures_possibles('N11',[['S','s','p'], ['w','a','H'], ['A','b','d'], ['i','a','H'], *]).
lectures_possibles('N12',[['i','a','H'], *]).
lectures_possibles('N13',[['n','t'], *]).
lectures_possibles('N14',[['w','n','w','t'], ['d','w','A'], ['s','b','A'], *]).
lectures_possibles('N15',[['d','w','A','t'], *]).
lectures_possibles('N16',[['t','A'], *]).
lectures_possibles('N17',[['t','A'], *]).
lectures_possibles('N18',[['i','w'], ['A','x','t'], *]).
lectures_possibles('N19',[['A','x','t','y'], *]).
lectures_possibles('N20',[*]).


lectures_possibles('N21',	[['w','D','b'], ['i','d','b'],*]).
lectures_possibles('N22',	[['w','D','b'], ['i','d','b'], ['s','x','t'],*]).
lectures_possibles('N23',	[['t','A'],*]).
lectures_possibles('N24',	[['s','p','A','t'], ['t','A','-','w','r'], ['H','s','p'],*]).
lectures_possibles('N25',	[['x','A','s','t'],*]).
lectures_possibles('N26',	[['D','w']]).
lectures_possibles('N27',	[['A','x','t'],*]).
lectures_possibles('N28',	[['x','a']]).
lectures_possibles('N29',	[['q'], ['q','A','A']]).
lectures_possibles('N30',	[['i','A','t'],*]).
lectures_possibles('N31',	[['w','A','t'], ['m','T','n'], ['H','r'], ['w','a']]).
lectures_possibles('N32',	[['s','i','n'], ['s','i','n','w'],*]).
lectures_possibles('N33',	[['S','a','i'], ['n','b','w'], ['m','s','d','m','t'],*]).
lectures_possibles('N34',	[['b','i','A'], ['H','m','t'],*]).
lectures_possibles('N35A',	[['m','w'],*]).
lectures_possibles('N36',	[['m','r'], ['m','i'],*]).
lectures_possibles('N37',	[['S'], ['s','n'] / 0.4, * / 0.4]).
lectures_possibles('N38',	[['S'], ['s','n'],*]).
lectures_possibles('N39',	[['S'], ['s','n'],*]).
lectures_possibles('N40',	[['S','m']]).
lectures_possibles('N41',	[['b','i','A'], ['H','m'], ['i','d','t'], ['i','d'],*]).
lectures_possibles('N42',	[['H','m'],*]).


/*#############################################################################
                        SIGNES CODES PAR O* 
#############################################################################*/


lectures_possibles('O1',	[['p','r'], *]).
lectures_possibles('O2',	[['p','r','-','H','D'],*]).
lectures_possibles('O3',	[['p','r','t','-','x','r','w'],*]).
lectures_possibles('O5',	[['m','r'], ['n','m'], ['m','r','r','t'],*]).
lectures_possibles('O6',	[['H','w','t'], ['H','t','t'],*]).
lectures_possibles('O7',	[['H','w','t'],*]).
lectures_possibles('O8',	[['H','w','t','-','a','A','t'],*]).
lectures_possibles('O9',	[['n','b','t','-','H','w','t'],*]).
lectures_possibles('O10',	[['H','w','t','-','H','r'],*]).
lectures_possibles('O11',	[['a','H']]).
lectures_possibles('O12',	[['a','H'],*]).
lectures_possibles('O13',	[['s','b','x','t'],*]).
lectures_possibles('O14',	[['s','b','x','t'],*]).
lectures_possibles('O15',	[['w','s','x','t'],*]).
lectures_possibles('O16',	[['t','A'], ['t','A','y','t'],*]).
lectures_possibles('O17',	[['t','A'], ['t','A','y','t'],*]).
lectures_possibles('O18',	[['k','A','r'],*]).
lectures_possibles('O19',	[['p','r','-','w','r'], ['i','t','r','t'],*]).
lectures_possibles('O20',	[['i','t','r','t'], ['p','r','-','n','w'],*]).
lectures_possibles('O21',	[['s','H'],['s','H']]).
lectures_possibles('O22',	[['H','A','b'], ['s','H'], ['s','H'],*]).
lectures_possibles('O23',	[['H','b','-','s','d'],*]).
lectures_possibles('O24',	[['m','r'],*]).
lectures_possibles('O25',	[['t','x','n'],*]).
lectures_possibles('O26',	[['w','D'], ['a','H','a','w'],*]).
lectures_possibles('O27',	[['x','A'],*]).
lectures_possibles('O28',	[['i','w','n'],*]).
lectures_possibles('O29',	[['a'], ['a','A']]).
lectures_possibles('O29v',	[['a','A'],*]).
lectures_possibles('O30',	[['s','x','n','t'], ['s','x','n','t'],*]).
lectures_possibles('O31',	[['a','A'], ['w','n'],*]).
lectures_possibles('O32',	[['s','b','A'],*]).
lectures_possibles('O33',	[['s','r','x'],*]).
lectures_possibles('O35',	[['i','s'], ['s','b'], ['i','s'], ['s','b']]).
lectures_possibles('O36',	[['i','n','b'],*]).
lectures_possibles('O37',	[['w','h','n'], ['s','X','n','n'], ['g','s','A'],*]).
lectures_possibles('O38',	[['q','n','b','t'], ['a','r','r','t'], ['t','m'],*]).
lectures_possibles('O39',	[['i','n','r'],*]).
lectures_possibles('O40',	[['r','w','d'],*]).
lectures_possibles('O41',	[['i','a','r'],*]).
lectures_possibles('O42',	[['S','s','p'], ['S','s','p']]).
lectures_possibles('O43',	[['S','s','p'], ['S','s','p'],*]).
lectures_possibles('O44',	[['i','A','t'],*]).
lectures_possibles('O45',	[['i','p','t'], ['i','p','A','t'],*]).
lectures_possibles('O46',	[['i','p','t'], ['i','p','A','t'],*]).
lectures_possibles('O47',	[['n','x','n'],*]).
lectures_possibles('O48',	[['n','x','n'],*]).
lectures_possibles('O49',	[['n','i','w','t'],*]).
lectures_possibles('O50',	[['s','p'], ['s','p'],*]).
lectures_possibles('O51',	[['S','n','w','t'],*]).

/*#############################################################################
                        SIGNES CODES PAR P* 
#############################################################################*/

lectures_possibles('P1',	[['d','p','t'], ['i','m','w'], ['a','H','a','w'],*]).
lectures_possibles('P1A',	[['p','n','a'],*]).
lectures_possibles('P2',	[['x','n','t','i'],*]).
lectures_possibles('P3',	[['w','i','A'], ['n','S','m','t'], ['D','A','i'],*]).
lectures_possibles('P4',	[['w','H','a'],*]).
lectures_possibles('P5',	[['T','A','w'], ['n','f','w'],*]).
lectures_possibles('P6',	[['a','H','a']]).
lectures_possibles('P7',	[['a','H','a'],*]).
lectures_possibles('P8',	[['x','r','w'], ['w','s','r'],*]).
lectures_possibles('P9',	[['x','r','w','i','-','f','i'],*]).
lectures_possibles('P10',	[['H','m','w'],*]).
lectures_possibles('P11',	[['m','n','i','t'],*]).

/*#############################################################################
                        SIGNES CODES PAR Q* 
#############################################################################*/

lectures_possibles('Q1',	[['s','t'], ['H','t','m'], ['w','s'], ['w','s'], ['A','s'],*]).
lectures_possibles('Q2',	[['w','s'], ['w','s'], ['s','t'],*]).
lectures_possibles('Q4',	[['w','r','s'],*]).
lectures_possibles('Q5',	[['h','n'],*]).
lectures_possibles('Q6',	[['q','r','s','w'], ['q','r','s'],*]).
lectures_possibles('Q7',	[['x','t'], ['t','A'], ['p','s','i'], ['s','r','f'], ['n','s','r'],*]).

/*#############################################################################
                        SIGNES CODES PAR R* 
#############################################################################*/

lectures_possibles('R1',	[['x','A','w','t'], ['x','A','t'],*]).
lectures_possibles('R2',	[['x','A','w','t'],*]).
lectures_possibles('R3',	[['w','D','H','w'],*]).
lectures_possibles('R4',	[['H','t','p'],*]).
lectures_possibles('R5',	[['k','A','p'], ['k','p'],*]).
lectures_possibles('R6',	[['k','A','p'], ['k','p'],*]).
lectures_possibles('R7',	[['s','n','T','r'],*]).
lectures_possibles('R8',	[['n','T','r'],*]).
lectures_possibles('R9',	[['b','d'],*]).
lectures_possibles('R10',	[['X','r','t','-','n','T','r'],*]).
lectures_possibles('R11',	[['D','d'], ['d','d']]).
lectures_possibles('R12',	[['i','A','t'],*]).
lectures_possibles('R13',	[['i','m','n','t'],*]).
lectures_possibles('R14',	[['i','m','n','t'], ['w','n','m','i'],*]).
lectures_possibles('R15',	[['i','A','b'], ['A','b'],*]).
lectures_possibles('R16',	[['w','x'],*]).
lectures_possibles('R17',	[['t','A','-','w','r'],*]).
lectures_possibles('R18',	[['t','A','-','w','r'],*]).
lectures_possibles('R19',	[['w','A','s'], ['w','A','s','t'],*]).
lectures_possibles('R20',	[['s','S','A','t'],*]).
lectures_possibles('R21',	[['s','S','A','t'],*]).
lectures_possibles('R22',	[['m','n','w'], ['x','m'],*]).
lectures_possibles('R23',	[['m','n','w'], ['x','m']]).
lectures_possibles('R24',	[['n','i','t'], ['n','t'], ['n','r','t'],*]).
lectures_possibles('R25',	[['n','i','t'], ['n','t'], ['n','r','t'],*]).

/*#############################################################################
                        SIGNES CODES PAR S* 
#############################################################################*/

lectures_possibles('S1',	[['H','D','t'], ['S','m','a','s'],*]).
lectures_possibles('S2',	[['H','D','t'],*]).
lectures_possibles('S3',	[['n'], [dSrt],*]).
lectures_possibles('S4',	[*]).
lectures_possibles('S5',	[*]).
lectures_possibles('S6',	[['s','x','m','t','y'],*]).
lectures_possibles('S7',	[['x','p','r','S'],*]).
lectures_possibles('S8',	[['A','t','f'],*]).
lectures_possibles('S9',	[['S','w','t','y'],*]).
lectures_possibles('S10',	[['m','D','H'],*]).
lectures_possibles('S11',	[['w','s','x'],*]).
lectures_possibles('S12',	[['n','b','w'],*]).
lectures_possibles('S13',	[*]).
lectures_possibles('S14',	[*]).
lectures_possibles('S14A',	[*]).
lectures_possibles('S15',	[['t','H','n'], ['T','H','n'],*]).
lectures_possibles('S16',	[*]).
lectures_possibles('S17',	[*]).
lectures_possibles('S18',	[['m','n','i','t'],*]).
lectures_possibles('S19',	[['s','D','A','w'],*]).
lectures_possibles('S20',	[['x','t','m'],*]).
lectures_possibles('S21',	[*]).
lectures_possibles('S22',	[['s','T']]).
lectures_possibles('S17A',	[*]).
lectures_possibles('S23',	[['d','m','D'],*]).
lectures_possibles('S24',	[['T','s']]).
lectures_possibles('S25',	[*]).
lectures_possibles('S26',	[['S','n','d','y','t'],*]).
lectures_possibles('S27',	[['m','n','x','t'],*]).
lectures_possibles('S28',	[*]).
lectures_possibles('S30',	[['s','f']]).
lectures_possibles('S31',	[['s','m','A']]).
lectures_possibles('S32',	[['s','i','A'],*]).
lectures_possibles('S33',	[['T','b'],*]).
lectures_possibles('S34',	[['a','n','x'],*]).
lectures_possibles('V39',	[*]).
lectures_possibles('S35',	[['S','w','t'],*]).
lectures_possibles('S36',	[*]).
lectures_possibles('S37',	[['x','w'],*]).
lectures_possibles('S38',	[['H','q','A'],*]).
lectures_possibles('S39',	[['a','w','t'],*]).
lectures_possibles('S40',	[['w','A','s'],*]).
lectures_possibles('S41',	[['D','a','m'],*]).
lectures_possibles('S42',	[['s','x','m'], ['a','b','A'], ['x','r','p'],*]).
lectures_possibles('S43',	[['m','d'],*]).
lectures_possibles('S44',	[['A','m','s'],*]).
lectures_possibles('S45',	[['n','x','x','w'],*]).

/*#############################################################################
                        SIGNES CODES PAR T* 
#############################################################################*/

lectures_possibles('T1',	[['m','n','w'],*]).
lectures_possibles('T2',	[*]).
lectures_possibles('T3',	[['H','D']]).
lectures_possibles('T4',	[*]).
lectures_possibles('T5',	[*]).
lectures_possibles('T6',	[['H','D','D']]).
lectures_possibles('T7',	[*]).
lectures_possibles('T7A',	[*]).
lectures_possibles('T8',	[['t','p'],*]).
lectures_possibles('T8A',	[[tp],*]).
lectures_possibles('T9',	[['p','d'], ['p','D'],*]).
lectures_possibles('T9A',	[['p','d'], ['p','D'],*]).
lectures_possibles('T10',	[['p','D'],*]).
lectures_possibles('Aa32',	[*]).
lectures_possibles('T11',	[['s','i','n'], ['s','w','n'], ['s','X','r'],*]).
lectures_possibles('T12',	[['r','w','d'], ['r','w','D'], ['A','i'], ['A','r'],*]).
lectures_possibles('T13',	[['r','s'],*]).
lectures_possibles('T14',	[['q','m','A'],*]).
lectures_possibles('T15',	[*]).
lectures_possibles('T16',	[*]).
lectures_possibles('T17',	[['w','r','r','t'],*]).
lectures_possibles('T18',	[['S','m','s'],*]).
lectures_possibles('T19',	[['q','s'],*]).
lectures_possibles('T20',	[*]).
lectures_possibles('T21',	[['w','a'],*]).
lectures_possibles('T22',	[['s','n']]).
lectures_possibles('T23',	[*]).
lectures_possibles('T24',	[['a','H'], ['i','H']]).
lectures_possibles('T25',	[['D','b','A'],*]).
lectures_possibles('T26',	[['s','x','t'],*]).
lectures_possibles('T27',	[*]).
lectures_possibles('T28',	[['X','r']]).
lectures_possibles('T29',	[['n','m','t'],*]).
lectures_possibles('T30',	[*]).
lectures_possibles('T31',	[['s','S','m']]).
lectures_possibles('T32',	[['s','S','m']]).
lectures_possibles('T33',	[['s','S','m'],*]).
lectures_possibles('T34',	[['n','m']]).
lectures_possibles('T35',	[*]).

/*#############################################################################
                        SIGNES CODES PAR U* 
#############################################################################*/


lectures_possibles('U1',	[['m','A']]).
lectures_possibles('U2',	[['m','A']]).
lectures_possibles('U3',	[['m','A']]).
lectures_possibles('U4',	[['m','A']]).
lectures_possibles('U5',	[['m','A']]).
lectures_possibles('U6',	[['m','r'],*]).
lectures_possibles('U7',	[['m','r'],*]).
lectures_possibles('U8',	[['H','n'],*]).
lectures_possibles('U9',	[*]).
lectures_possibles('U10',	[['i','t'],*]).
lectures_possibles('U11',	[['H','q','A','t'],*]).
lectures_possibles('U12',	[*]).
lectures_possibles('U13',	[['S','n','a'], ['h','b'],*]).
lectures_possibles('U14',	[['S','n','a'],*]).
lectures_possibles('U15',	[['t','m'],*]).
lectures_possibles('U16',	[['b','i','A'],*]).
lectures_possibles('U17',	[['g','r','g'],*]).
lectures_possibles('U18',	[*]).
lectures_possibles('U19',	[['n','w'],*]).
lectures_possibles('U20',	[*]).
lectures_possibles('U21',	[['s','t','p'],*]).
lectures_possibles('U22',	[['m','n','x'],*]).
lectures_possibles('U23',	[['A','b'], ['m','r'],*]).
lectures_possibles('U24',	[['H','m','t'],*]).
lectures_possibles('U25',	[*]).
lectures_possibles('U26',	[['w','b','A'],*]).
lectures_possibles('U27',	[*]).
lectures_possibles('U28',	[['D','A'],*]).
lectures_possibles('U29',	[*]).
lectures_possibles('U30',	[['t','A'],* / 0.3]).
lectures_possibles('U31',	[['r','t','H'],*]).
lectures_possibles('U32',	[['s','m','n'],*]).
lectures_possibles('U33',	[['t','i']]).
lectures_possibles('U34',	[['x','s','f']]).
lectures_possibles('U35',	[['x','s','f']]).
lectures_possibles('Aa23',	[*]).
lectures_possibles('Aa24',	[*]).
lectures_possibles('U36',	[['H','m'],*]).
lectures_possibles('U37',	[*]).
lectures_possibles('U38',	[['m','x','A','t'],*]).
lectures_possibles('U39',	[*]).
lectures_possibles('U40',	[*]).
lectures_possibles('U41',	[*]).


/*#############################################################################
                        SIGNES CODES PAR V* 
#############################################################################*/

lectures_possibles('V1',	[['S','t'], ['S','n','t'], ['1','0','0'],*]).
lectures_possibles('V2',	[['s','T','A'],*]).
lectures_possibles('V3',	[['s','T','A','w'],*]).
lectures_possibles('V4',	[['w','A'],*]).
lectures_possibles('V5',	[['s','n','T'],*]).
lectures_possibles('V6',	[['S','s']]).
lectures_possibles('V7',	[['S','n'],*]).
lectures_possibles('V8',	[*]).
lectures_possibles('V9',	[*]).
lectures_possibles('V10',	[*]).
lectures_possibles('V11',	[*]).
lectures_possibles('V12',	[['a','r','q'],*]).

lectures_possibles('V14',	[*]).
lectures_possibles('V15',	[['i','T','i'],*]).
lectures_possibles('V16',	[['s','A'],*]).
lectures_possibles('V17',	[['s','A'],*]).
lectures_possibles('V19',	[['X','A','r'], ['m','D','t'], ['T','m','A'],*]).
lectures_possibles('V18',	[*]).
lectures_possibles('V20',	[['m','D','w'], ['m','D'], ['1','0'],*]).
lectures_possibles('V21',	[['m','D'],*]).
lectures_possibles('V22',	[['m','H']]).
lectures_possibles('V23',	[*]).
lectures_possibles('V24',	[['w','D']]).
lectures_possibles('V25',	[*]).
lectures_possibles('V26',	[['a','D'],*]).
lectures_possibles('V27',	[*]).
lectures_possibles('V29',	[['w','A','H'], ['s','k'],*]).
lectures_possibles('V30',	[['n','b']]).
lectures_possibles('V32',	[['m','s','n'],*]).
lectures_possibles('V33',	[['s','S','r'], ['g'],*]).
lectures_possibles('V34',	[*]).
lectures_possibles('V35',	[*]).
lectures_possibles('V36',	[['H','n'],*]).
lectures_possibles('V37',	[['i','d','r'],*]).
lectures_possibles('V38',	[*]).

/*#############################################################################
                        SIGNES CODES PAR W* 
#############################################################################*/

lectures_possibles('W1',	[*]).
lectures_possibles('W2',	[['b','A','s'],*]).
lectures_possibles('W3',	[['H','b'],*]).
lectures_possibles('W4',	[['H','b'],*]).
lectures_possibles('W5',	[*]).
lectures_possibles('W6',	[*]).
lectures_possibles('W7',	[['A','b'],*]).
lectures_possibles('W8',	[*]).
lectures_possibles('W9',	[['X','n','m'],*]).
lectures_possibles('W10',	[['a','b'], ['i','a','b'],[w,s,x],*]).
lectures_possibles('W10A',	[['a','b'], ['i','a','b'],*]).
lectures_possibles('Aa4',	[*]).
lectures_possibles('W11',	[['g'], ['n','s','t'],*]).
lectures_possibles('W13',	[*]).
lectures_possibles('W14',	[['H','s'],*]).
lectures_possibles('W15',	[['q','b','H'], ['q','b','b'],*]).
lectures_possibles('W16',	[['q','b','H'], ['q','b','b'],*]).
lectures_possibles('W17',	[['x','n','t'],*]).
lectures_possibles('W18',	[['x','n','t'],*]).
lectures_possibles('W19',	[['m','i'],*]).
lectures_possibles('W20',	[*]).
lectures_possibles('W21',	[*]).
lectures_possibles('W22',	[['H','n','q','t'],*]).
lectures_possibles('W23',	[*]).
lectures_possibles('W24',	[['n','w'],*]).
lectures_possibles('W25',	[['i','n','i'], ['i','n']]).

/*#############################################################################
                        SIGNES CODES PAR X* 
#############################################################################*/


lectures_possibles('X2',	[[t],*]).
lectures_possibles('X3',	[*]).
lectures_possibles('X4',	[*]).
lectures_possibles('X5',	[*]).
lectures_possibles('X6',	[*]).
lectures_possibles('X7',	[*]).
lectures_possibles('X8',	[['d'], ['d','i'], ['r','d','i']]).

/*#############################################################################
                        SIGNES CODES PAR Y* 
#############################################################################*/

lectures_possibles('Y1',	[['m','D','A','t'] / 0.3,*]).
lectures_possibles('Y1v',	[['m','D','A','t'] / 0.3,*]).
lectures_possibles('Y2',	[*]).
lectures_possibles('Y3',	[['s','S'], ['m','n','h','d'] / 0.7 ,* / 0.8]).
lectures_possibles('Y4',	[['s','S'], ['m','n','h','d'] / 0.7, * / 0.8]).
lectures_possibles('Y5',	[['m','n']]).
lectures_possibles('Y6',	[['i','b','A'],*]).
lectures_possibles('Y7',	[*]).
lectures_possibles('Y8',	[['s','S','S','t'],*]).

/*#############################################################################
                        SIGNES CODES PAR Z* 
#############################################################################*/


lectures_possibles('Z1',	[*]).
lectures_possibles('Z2',	[*]).
lectures_possibles('3',		[*]).
lectures_possibles('Z3',	[*]).
lectures_possibles('Z3A',	[*]).
lectures_possibles('N33A',	[*]).
lectures_possibles('Z5',	[*]).
lectures_possibles('Z6',	[*]).
lectures_possibles('Z8',	[*]).
lectures_possibles('Z9',	[*]).
lectures_possibles('Z10',	[*]).
lectures_possibles('Z11',	[['i','m','i'], ['w','n','m']]).
lectures_possibles('Z12',	[*]).
lectures_possibles('Z98A',	[*]).
lectures_possibles('Z99A',	[*]).

/*#############################################################################
                        SIGNES CODES PAR Aa* 
#############################################################################*/


lectures_possibles('Aa2',	[*]).
lectures_possibles('Aa3',	[*]).
lectures_possibles('Aa5',	[['H','p'],*]).
lectures_possibles('Aa6',	[*]).
lectures_possibles('Aa7',	[*]).
lectures_possibles('Aa8',	[['D','A'], ['q','n'],*]).
lectures_possibles('Aa9',	[*]).
lectures_possibles('Aa10',	[*]).
lectures_possibles('Aa11',	[['m','A','a'],*]).
lectures_possibles('Aa12',	[*]).
lectures_possibles('Aa13',	[['g','s'], ['m'], ['i','m'],*]).
lectures_possibles('Aa14',	[*]).
lectures_possibles('Aa15',	[*]).
lectures_possibles('Aa16',	[*]).
lectures_possibles('Aa17',	[['s','A'], ['s','A'],*]).
lectures_possibles('Aa18',	[['s','A']]).
lectures_possibles('Aa19',	[*]).
lectures_possibles('Aa20',	[['a','p','r'],*]).
lectures_possibles('Aa21',	[['w','D','a'],*]).
lectures_possibles('Aa22',	[*]).
lectures_possibles('Aa25',	[*]).
lectures_possibles('Aa26',	[*]).
lectures_possibles('Aa27',	[['n','D']]).
lectures_possibles('Aa28',	[['q','d']]).
lectures_possibles('Aa29',	[*]).
lectures_possibles('Aa30',	[['X','k','r'],*]).
lectures_possibles('Aa31',	[*]).


/* debut et fin de mots */

lectures_possibles('debut',	[*]).
lectures_possibles('fin',	[*]).
