mdc2liste(Texte,Liste):-
	name(Texte, L),
	m2l(L,Liste, est_dans_signe).

les_mots(Txt, Liste):- 
	name(Txt, L),
	m2l(L,Liste, pas_espace).
	

est_dans_signe(X):-
	member(X, "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789").

pas_espace(X):- X \= 32, X \= 9, X \= 10, X \= 61.


%%cutfrom(L0,L1,Pred):- 

m2l([], [],_).

m2l(L, Result, Pred):-
	saute(L,L1, Pred),
	( L1 = [] -> Result = [] ;
	    Result= [M|Reste],
	    premier_signe(L1,M0,L2, Pred),
	    name(M, M0),
	    m2l(L2, Reste, Pred)).

saute([],[],_).
saute([A|L], L1, Pred):-
	But =.. [Pred,A],
	call(But) -> L1 = [A|L] ;
	saute(L,L1, Pred).

premier_signe([], [], [], _).
premier_signe([A|L], [A|R], L1, P):-
		But =.. [P,A], call(But), !, premier_signe(L,R,L1,P).
premier_signe([A|L], [], [A|L],_).
