%left PLUS.

%left TIME.
%destructor expr {printf("destroying expression\n");}
%destructor number {printf("destroying number\n");}

calc ::= expr(A). {printf("%d\n", A);}

expr ::= expr(A) PLUS expr(B). {printf("%d + %d\n", A, B);}

expr ::= expr(A) TIME expr(B). {printf("%d * %d\n", A, B);}

expr ::= LPAREN expr(A) RPAREN. {printf("expr %d\n", A);}

expr ::= number(A). {printf("expr %d\n", A);}

number ::= NUMBER(A). {printf("number %d\n", A);}


