
proc about {} {
    global env
    toplevel .about
    #wm withdraw .about
    #wm overrideredirect .about 1
    set t .about.t 
    set f [open [file join $env(SESHLIB) version.txt]]
    set version [read $f]
    close $f
    set f [open [file join $env(SESHLIB) date.txt]]
    set date [read $f]
    close $f
    text $t -height 27 -width 30 -bg \#F4B590 ;# {244 181 144}
    $t tag configure center -justify center 
    set logo [image create photo -file [file join $env(SESHLIB) icons logo.gif]]
    $t image create insert -image $logo -align center 
    $t tag add center 0.0 1.1 
    $t insert insert "\nTKSESH\n" center
    $t insert insert "$version\n" center
    $t insert insert "($date)\n" center
    $t insert insert "copyright (c) 1995-2002\n" center
    $t insert insert "Serge ROSMORDUC\n" center
    $t insert insert "rosmorduc@iut.univ-paris8.fr\n" center
    $t insert insert "quipe EC.ART\n" center
    $t insert insert "LRIA\n" center
    $t insert insert "15, rue Catulienne\n" center
    $t insert insert "93236 St Denis Cedex\n" center
    $t insert insert "FRANCE" center
    grid $t -sticky news
    grid rowconfigure .about 0 -weight 1
    grid columnconfigure .about 0 -weight 1

    $t configure -state disabled 
    
    bind .about <Button-1> {destroy .about}
    #wm deiconify .about
}
