class SignExporter {
    proc SignExporter {this owner parentPath args} composite {[new frame $parentPath] $args} {
	set p $widget::($this,path)
	set ($this,owner) $owner
	composite::manage $this\
	    [new label $p -text "Enter code for exported sign :"] texte\
	    [new entry $p] entree\
	    [new button $p -text "export" -command [list SignExporter::export $this]] ok \
	    [new button $p -text "cancel" -command [list SignExporter::cancel $this]] cancel
	grid $composite::($this,texte,path) $composite::($this,entree,path)
	grid $composite::($this,ok,path) $composite::($this,cancel,path)
	composite::complete $this
    }
    
    proc ~SignExporter {this} {
    }

    proc export {this} {
	clipboard clear
	set name [$composite::($this,entree,path) get]
	CharEditor::export $SignExporter::($this,owner) $name
    }

    proc cancel {this} {
	CharEditor::cancel_export $SignExporter::($this,owner)
    }

    proc options {this} {
	return {}
    }
}

