# ExtLinkW.tcl --
#
#       External linking display for Tksesh documents
#	Functions :
#		* select what kind of links should be shown (by type, possibly by author)
#		* select the part of the text for which links should be shown :
#			- current tag
#			- base tag
#		* select whether or not one wants to list links for child tags.
#		* list of links. Possibilities : replace or new window.

#
# 
#  2000 Serge Rosmorduc,
# quipe EC.art, Laboratoire LRIA, Universit de Paris 8
#
# 15 rue Catulienne
# 93236 St Denis Cedex
# FRANCE
#
# Tout droits rservs.
# 
# voyez le fichier ../LICENCE.txt pour plus d'informations
# See the ../LICENCEE.txt file for more information
#
# $Id$
#
#

#
# $Log$
#

# FUNCTION SUMMARY --

# known public functions are : 
# 	
# DATA SUMMARY -- 

# package provide truc 0.0

# package require bidule

namespace eval ExtLinkW {
    variable VARS
    
    # ExtLinkW::ExtLinkW --
    # 	constructor for a ExtLinkW
    # Parameters:
    #	w	: the new window to create
    #	slave	: the stext window controled by this particular window.
    # Options:
    # Results:
    #	a new ExtLinkW is built and returned
    # Side Effects:
    # Use:
    #	PUBLIC
    # Called by:
    
    proc ExtLinkW {w slave} {
    }
}
