/* %%%% omission_de_pronom_suffixe.pl %%%% */

/* TRAITE LES OMISSIONS DE PRONOM SUFFIXE */

/* cas ou les deux mots sont identiques */

omission_de_pronom_suffixe(T, T,T, T, N, N):- !.


/* cas general :
le mot le plus long est T2, donc le pronom suffixe se trouve forcement dans T2. On admet qu'il est precede d'un point */

omission_de_pronom_suffixe(T1, T2, T2, T2, N1, N2):-
    membre('.', T2),          /* T2 contient un point */
    conc(T1,['.'| Y],T2),   /* et ce point est suivi du pronom suffixe Y */
    pronom_suffixe(Y,Z),
    N2 is N1 + Z.


/* le nombre associe au pronom suffixe est d'autant plus grand qu'il est rarement admis */

pronom_suffixe([i],1). 
pronom_suffixe([k],5).	
pronom_suffixe([t],5).
pronom_suffixe(['T'],5).
pronom_suffixe([f],2).
pronom_suffixe([s],5).
pronom_suffixe([s,t],5).
pronom_suffixe([n],5).
pronom_suffixe([t,n],5).
pronom_suffixe(['T',n],5).
pronom_suffixe([s,n],5).
